2025-05-02 Mike Gabriel

        * release 2.13.0~beta5 (HEAD -> master, tag: 2.13.0_beta5)

2025-05-01 Daniel Teichmann

        * debian/po: Run 'debconf-updatepo'. (bef2c28f)

2025-04-30 Daniel Teichmann

        * Run './update-po.sh'. (e6c21d05)
        * Run './update-pot.sh'. (46cc8f20)
        * po/*.pot: Make changes suggested by the review from 'Justin B.
          Rye'. (THANK YOU!!!) (2ffd4025)
        * debian/*.templates: Make changes suggested by the review from
          'Justin B. Rye'. (THANK YOU!!!) (07a63800)
        *: s/http/HTTP  +  s/https/HTTPS (ca6a47a9)

2025-04-13 Mike Gabriel

        * debian/po/: Run debconf-updatepo. (b2990eab)
        * po/es/LC_MESSAGES/: Add Spanish translations for login menu and FAI
          installer. (f1b90f37)

2025-04-10 Mike Gabriel

        * ChangeLog: post-release update (daecd01f)
        * upload to unstable (debian/2.13.0~beta4) (bea28f6f) (tag:
          2.13.0_beta4)
        * debian/copyright: Update copyright attributions. (ab774479)
        * debian/po/: Add Portueguese debconf translation. Thanks to Américo
          Monteiro. (Closes: #1101530). (37116cd5)
        * debian/po/: Add French debconf translation. Thanks to Jean-Pierre
          Giraud. (Closes: #1061985). (a6b1942e)

2025-04-09 Daniel Teichmann

        * d-e-r-p.c-f.postinst: prepare filterlists.d regardless of if the
          plugin is enabled or not. (e6273973)
        * d-e-r-p.c-f.postinst: Do not delete squid snippet file in /etc/..,
          which are installed by dpkg. (945b6e57)

2025-04-06 Mike Gabriel

        * d/changelog: Update from Git history (b8fff628)
        * debian/po/es.po: Update file. Thanks to Camaléon. (Closes:
          #1102188). (3cce564c)

2025-03-28 Mike Gabriel

        * ChangeLog: post-release update for 2.13.0~beta3. (4113050a)
        * upload to unstable (debian/2.13.0~beta3) (37c9281b) (tag:
          2.13.0_beta3)
        * lintian: Various adjustment for this release. (d465f1da)
        * debian/po: Update translation files after templates.pot update.
          (94c81bc0)
        * debian/po: Update template.pot file. (a119b61b)
        * debian/copyright: Update copyright attributions. (ad03e7b3)
        * debian/copyright: Update auto-generated copyright.in template file.
          (4b154b95)

2025-03-20 Daniel Teichmann

        * conf/e2guardian/e2guardian{f1.conf,.conf.in}: Update __LISTDIR__
          paths. (63a38117)

2025-03-19 Daniel Teichmann

        * D-E-R-P.C-F: Remove legacy blacklists.d references and update
          e2guardian list paths. (664cc5a3)

2025-01-29 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Remove unused ACL debugging comments in Squid
          config. (041b8f1b)

2025-03-12 Daniel Teichmann

        * bin/debian-edu-router_acl-watcher.sh: Update copyright header.
          (fc6b8275)
        * bin/debian-edu-router_acl-watcher.sh: Rewrite script. (b9ed5a5d)
        * d-e-r-p.c-f.postinst: Remove
          /etc/squid/snippets.d/25_squid_acls.generated_d-e-r-p.c-f.conf
          file, if autogenerate IPs task is turned off. (7ba4befd)
        * bin/debian-edu-router_refresh-generated-ips.sh: Fix small
          whitespace bug in debug_log. (e5c08718)

2025-03-20 Daniel Teichmann

        * D-E-R-P.C-F: Completely rework selection process of black/whitelist
          categories. (1670ad23)

2025-03-03 Daniel Teichmann

        * bin/debian-edu-router_refresh-blacklists.sh: Completely rewrite
          script. (543eb52f)
        * bin/debian-edu-router_refresh-blacklists.sh: Update copyright
          header. (071a5b4f)

2025-02-19 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Rename
          'restart_e2guardian_autorefresh_blacklists' to
          'restart_autorefresh_blacklists'. (320cfae2)
        * d-e-r-p.c-f: Rename e2guardian-refresh-blacklists related stuff to
          squid-refresh-blacklist or similar. (1dc6f827)

2025-03-20 Mike Gabriel

        * bin/debian-edu-router-fai_release: Add script. Support building
          staging installer files that can be released on demand.
          (fcf1c63e)
        * bin/debian-edu-router-fai_mkconfigspacetarball (et al.): Adjust
          filename of the FAI configspace tarball slightly ('.' vs.
          '_'). (28e83624)

2025-03-19 Daniel Teichmann

        * d-e-r-p.mdns-reflector.postinst:  warning_log -> notice_lo.
          warning_log -> error_log; (f8febc3c)

2025-03-19 Mike Gabriel

        * conf/apache2/conf-available/debian-edu-router-deployserver.conf:
          Drop '-deployserver' from download URL of ISOs, squashfs
          images and FAI configspace tarballs. (b138ead3)
        * debian/: Move debian-edu-router-fai_mkconfigspacetarball into
          bin:pkg debian-edu-router-fai. Keep the deployserver
          bin:pkg minimal. (ebf7e51c)
        * Various fixes for renamed files still referenced in comments.
          (0d03cb87)
        * Drop bullseye support for the to-be-installed Debian Edu Router.
          (946bb736)

2025-03-18 Mike Gabriel

        * bin/debian-edu-router-fai_*: Support namespacing the NFSROOT, the
          FAI config (not the configspace!) and the download path of
          the ISO / img file names. (e19f711a)
        * bin/debian-edu-router-fai_install: Don't mount /proc. Should not be
          needed and with recent FAI, it breaks fai-make-nfsroot, in
          fact. (7fa857f3)
        * fai/config/hooks/install.GATEWAY.sh: Fix tmp-path being relative,
          not absolute. (3bba68e9)
        * debian/copyright: Update copyright attributions. (d5712774)
        * release 2.13.0~beta2 (ffba6d05) (tag: 2.13.0_beta2)

2025-02-19 Daniel Teichmann

        * d-e-r-p.m-r.postinst: Instead of just restarting mdns-reflector,
          ENABLE + RESTART the service. (c8efeb2f)
        * d-e-r-p.m-r.postinst: Change logging verbosity to WARNING. Reduces
          a lot of very verbose messages. (591466d6)

2025-01-29 Daniel Teichmann

        * d-e-r-p.m-r.postinst: Implement logic for new firewall service
          questions. (d0688c69)
        * d-e-r-p.m-r.config: Add statemachine logic for new templates of
          firewall services. (8ae91954)
        * d-e-r-p.m-r.templates: Add templates for Googlecast, Miracast,
          AirPrint, AirPlay, IPP@Everywhere. (684475d0)
        * debian/debian-edu-router.common: Add generate_unique_pairs()
          function. (f99eb0a5)

2025-03-14 Daniel Teichmann

        * Makefile.iso: Smaller adjustments. Make *-globs more specific.
          (7b16a8e8)

2025-03-13 Mike Gabriel

        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Adopt
          various additions/changes from FAI upstream. (da8adf55)

2025-03-10 Daniel Teichmann

        * d-e-r-p.c-f: Drop debian-edu-router.conf file into
          /etc/default/uif.d/; Set default
          FILTER_COMMAND="iptables-legacy" (20c62d31)

2025-03-13 Mike Gabriel

        * debian/control: Use Git repo in Homepage: field for now.
          (LP:#2100822). (46fac495)
        * debian/debian-edu-router-deployserver.dirs: Create dirs exported
          via httpd. (ec74a0cd)

2025-03-12 Daniel Teichmann

        * debian/control: Fix 'Breaks: ' field of d-e-r-common. (b99887cb)

2025-03-10 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.lintian-overrides:
          Upload line number of maintainer-script-calls-service
          override. (1d4c34c0)

2025-03-03 Mike Gabriel

        * Prepare for trixie (and for forky, rudimentarily). (9122f5dc)

2025-03-10 Mike Gabriel

        * release 2.13.0~beta1 (ae870a06) (tag: 2.13.0_beta1)
        * debian/control: Add Section: localization to
          debian-edu-router-fai-l10n bin:pkg. (10b7b579)
        * debian/control: Bump Standards-Version: to 4.7.2. No changes
          needed. (755139e7)
        * debian/debian-edu-router-deployserver.install: Only install
          debian-edu-router-deployserver.conf in
          debian-edu-router-deployserver bin:pkg. (a3d6f8c0)
        * debian/*.<script>: Don't call executables by their full path.
          (7d08da2d)
        * debian/po/: Update debconf dialogs translation files. (fef933bf)
        * debian/control: Add debconf to Pre-Depends: for packages with
          debconf dialogs in preinst scripts. (e69346d0)
        * debian/*.templates: Adjust English translation templates. Thanks,
          lintian. (7f85cd2f)
        * debian/copyright: Update copyright attributions. (0bcb87f6)
        * conf/debian-edu-router-plugins/*.sh: Drop shebangs from files,
          comment them with 'to be sourced' instead. (2facd179)
        * debian/*.lintian-overrides: Update lintian overrides. (7ee75801)
        * debian/copyright: Update auto-generated copyright.in file.
          (c0c8f568)
        * po/: Update translation files. (9d001c05)
        * debian/debian-edu-router-plugin.content-filter.{postinst,postrm}:
          Drop backup/removal and restore of
          /etc/squid/conf.d/debian.conf. (3f17cc07)
        * conf/squid/snippets.d/01_squid_base_d-e-r-p.c-f.conf: Define
          localnet ACL so that /etc/squid/conf.d/debian.conf does
          not have to be removed. (4e52d1e0)

2025-03-05 Mike Gabriel

        * debian/README.i18n{,md}: Provide i18n guidelines for fully
          localizing debian-edu-router. (adac9bb9)
        * debian/README.i18n{,md}: Provide i18n guidelines for fully
          localizing debian-edu-router. (dbdfa30b)
        * po/: Add Georgian translations. (d8a50199)

2025-03-03 Mike Gabriel

        * fai/config/class/: Support switching to another locale in FAI
          installer dialogs based on classes set in FAI profiles.
          (0fa2845a)
        * d/changelog: reset version to 2.13.0~alpha3 (fc073d83)
        * po/: Update German translations. (22a607ce)
        * Update translation files. (35227009)

2024-12-11 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Make ssl_db creation for Squid, undependent
          of SSL bumping. (18ebddb0)

2024-12-04 Daniel Teichmann

        * debian/control: Add 'ssl-cert' to Pre-Depends:. (5885abf3)
        * d-e-r-p.c-f.postinst: Make T-P-M work with SSL bumping deactivated.
          Use SSL snakeoil certificate. (28b5c46b)
        * d-e-r-p.c-f.postinst: Add comment to
          '10_SSL-bumping_d-e-r-p.c-f_${_i_n_name}.conf', if SSL
          bumping is disabled. (b225a7f7)
        * d-e-r-p.c-f.postinst: Deactivate useless ACL rules like: 'acl step1
          at_step SslBump1' in Squid. (aeaad4a5)

2024-12-11 Daniel Teichmann

        * d-e-r loginmenu: Fix missing DHCP leases count in handy tools and
          tricks submenu. (00dd3121)
        * d-e-r-c: Moved 'skolerouter-logview' to
          'debian-edu-router_logview'; Including option in login
          menu. (11b205dc)

2024-11-28 Daniel Teichmann

        * D-E-R-P.C-F conf/systemd/{squid, e2guardian}_d-e-r{@}.service:
          Declare a more soft dependency between Squid and
          E2guardian sevices. (302cdc79)

2024-11-27 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Modify Squid logrotate configuration.
          (1aa7df09)
        * d-e-r-p.c-f.postinst: Do not abort reconfiguration, if unsupported
          network found in list of SSL-Bumping networks. (066b96ee)
        * d-e-r-p.c-f: Add Apache2 logrotate configuration. (3abdeec5)

2024-11-06 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Split Apache2 and Squid UIF firewall rules
          into 2 own files. (b5bdc71c)
        * d-e-r-p.c-f Debconf: make t-p-m dialog independent of ssl-bumping.
          (f70c03ef)

2024-10-30 Daniel Teichmann

        * d-e-r-p.l-c.postinst: While generating LDAP config, set soft&hard
          {size,time}limit. (33e3fc3e)

2024-10-28 Daniel Teichmann

        * bin/debian-edu-router_mk-sslmitm-ca: Set amount of days in which CA
          cert will expire to 395 per default. (32dbde96)

2024-10-23 Daniel Teichmann

        * d-e-r-p.m-r.postinst: Fix missing plugin-enabled file
          (/var/lib/debian-edu-router/d-e-r-p.m-r/enabled).
          (3efef049)
        * e2guardian-refresh-blacklists, refresh-generated-ips,
          refresh-ldap-filterlists: If script fails, delete WIP
          Squid-ACL-Watcher file. (9ce68cfd)
        * refresh-generated-ips, refresh-ldap-filterlists: Create WIP file
          for Squid-ACL-Watcher (do not reload Squid while working).
          (ea6d44d8)
        * bin/debian-edu-router_acl-watcher.sh: Do not let script run any
          longer than "12 hours". (c0670c55)
        * conf/systemd/*.timer: Change '@daily' to a more specific time after
          5 AM (instead of 0 AM...). (ac141ff1)
        * d-e-r-p.c-f: Implement own script for Squid's ACL watcher. It'll
          now skip reloading, if 'work-in-progress' was found.
          (ec14a3b9)
        * bin/debian-edu-router_refresh-generated-ips.sh: Fix deleting
          ProxyTrustedClientIPs.generated. (cd725647)

2024-10-16 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Fix bug where Squid would crash if multiple
          networks use SSL bumping. (d7fbbcaf)

2024-10-17 Daniel Teichmann

        * d-e-r-p.c-f: Apache2 use self-signed SSL certificates for HTTPS
          site, if available. (3947f777)

2024-10-03 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add new preseedings for
          D-E-R-P.C-F. (8d0244a8)
        * Makefile.debug: Make sure that switching debug server (via
          'ip'-variable) does have an effect immediatly. (3fb17d24)
        * D-E-R-P.C-F: Apache2 install HTTP and HTTPS sites with support for
          custom HTTP and HTTPS ports. (eafd63bd)
        * D-E-R-P.C-F: Add debconf questions for Apache2 HTTP(s) ports.
          (68644d43)
        * debian/debian-edu-router-plugin.content-filter.dirs: Create log
          directories for squid, e2guardian and apache2. (b6fdcf5d)

2024-10-09 Daniel Teichmann

        * bin/debian-edu-router-loginmenu.sh: Make tools menu more uniform
          (item texts). (2b07f9ed)
        * bin/debian-edu-router-loginmenu.sh: Introduce new option to show
          DHCP leases of dnsmasq. (8ba2be11)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/75

        * bin/debian-edu-router-loginmenu.sh: Move htop and iptraf commands
          into new tools submenu. (5ddcead5)
        * conf/debian-edu-router-plugins/d-e-r-p.*.sh + loginmenu: Update
          copyright notice. (a5be95ba)
        * Loginmenu: Add visual way of telling if task of a plugin is
          activated/deactivated. (124d3fd4)
        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Improve error
          messages; make backup-deleting less verbose. (b96bc45e)

2024-10-02 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Fix doubled
          entries bug introduced in f6eeca340a8c. (10b09600)
        * D-E-R-P.C-F: Implement /etc/logrotate.d/ support for E2guardian.
          (476e6a6e)

2024-09-19 Daniel Teichmann

        * D-E-R-P.C-F: Implement generating /etc/logrotate.d/ snippets for
          Squid. (bcfbfe69)
        * d-e-r-p.c-f.postinst: Make log file names more consistent,
          'icap-%i.log' -> 'icap_%i.log'. (bcad27cc)

2024-10-03 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Fully remove
          $PROXY_GROUP_FILTERLIST_PATH.~*~ backup files. (Additional
          to c2aa0a571d9). (ae5cdb7b)

2024-09-11 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix missing preseeding for
          'debian-edu-router-plugin.content-filter/service-contentfilter-autoregenerate-ips'.
          (0830740b)
        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Do not spam
          filterlists.d with Proxy*.ldap.~?~ backup files.
          (c2aa0a57)
        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Warn if script
          has literally nothing to do. (a2f98877)

2024-09-18 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Fix bug where
          whitespaces in DN would lead to multiple detected DNs.
          (f6eeca34)
        * debian/control: Fix 'dns-utils' to 'dnsutils' in Depends: of
          d-e-r-p.c-f. (cf93831e)

2024-09-18 Mike Gabriel

        * debian/control: Add D: (d-e-r-p.c-f): dns-utils. Required for
          script debian-edu-router_refresh-generated-ips.sh.
          (05219c91)

2024-09-14 Daniel Teichmann

        * conf/debian-edu-router-plugins/d-e-r-p.content-filter.sh: Fix
          PLUGIN_CONF_SUBMENU_ITEM_COMMAND_EDIT_SELECTED_CATEGORIES.
          (252b6c4b)
        * D-E-R-C loginmenu: Add support for 'etckeeper' for
          debian-edu-router-config. (3c3811b9)
        * D-E-R-C loginmenu: Add 'etckeeper' support for plugins.
          (9ce491c8)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/77

        * D-E-R-P.C-F: Add more filterlists header files for tips and tricks.
          (e9cb71a3)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/118

        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg.temp:
          Disable experimental simultaneous Uplink discovery.
          (c74feb2e)

2024-09-11 Daniel Teichmann

        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Install
          'fonts-dejavu-core' as grub2-memdisk font dependency in
          NFSROOT. (680d1a28)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg.temp:
          Be more precise about where we expect font and background
          image. (c1d281f6)

2024-08-29 Daniel Teichmann

        * d-e-r-p.l-c.postrm: If plugin is disabled, backup old filterlist
          files in
          /var/lib/debian-edu-router/filterlits.d/Proxy*.ldap{.backup}
          (c922365f)
        * d-e-r-p.{k-c,l-c}.postrm: Fix Squid snippets and filterlists being
          used, even if plugin is actually disabled. (94dab932)
        * d-e-r-p.c-f: Prepare code to make proxy user authentication
          bypassable. (d5481046)

2024-08-26 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Activate 'adaptation_send_client_ip' and
          'icap_persistent_connections' options for Squid ICAP.
          (bdde0c38)

2024-08-27 Daniel Teichmann

        * Makefile.debug: Don't remove plugin debs, if we overwrite the files
          anyway. (1d6d3fed)
        * loginmenu: Introduce indicator, if plugin is enabled or not, in the
          plugin submenu. (50f095eb)
        * d-e-r-p.c-f.post{rm, inst}: Introduce file which indicates, if
          plugin is enabled or not. (51594c3e)

2024-08-13 Daniel Teichmann

        * po/de/LC_MESSAGES/*.po: Update german translation files. (a25724ac)
        * Execute 'debconf-updatepo'. (7e080528)
        * Execute ./update-po.sh. (c2224a31)
        * Execute ./update-pot.sh. (e73bfd15)
        * debian/rules: Fix Krb5 Connector plugin not being translated in
          login menu. (79d862bc)
        * debian/debian-edu-router-plugin.{krb5, ldap}-connector.templates:
          Improve template texts. (724fddf7)

2024-08-12 Daniel Teichmann

        * debian/debian-edu-router-config.config: Silence 'Checking if
          address/network ... is in network ...' message. (ca4b7053)
        * debian/debian-edu-router-config.config: Improve debug messages.
          (0cae411d)
        * debian/*.config: Introduce main() and statemachine() for every
          .config file; Skip dpkg preconfigure phase. (7665742f)
        * debian/debian-edu-router-config.config: Replace old echo messages
          with new error log messages. (4e325cb1)
        * debian/*.config: Improve state-machine debug information logging.
          (cee63a5b)

2024-08-09 Daniel Teichmann

        * debian/debian-edu-router.common: Fix bug in manage_unit(), where
          services wouldn't restart. (80de5ade)
        * D-E-R-P.K-C: Use D-E-R debug mode to automatically set debug
          options to negotiate_kerberos_auth. No need to do it
          manually... (40bb4e6d)
        * bin/debian-edu-router-loginmenu.sh: Be smarter about turning on/off
          debug mode. (8cfeb3c4)

2024-08-06 Daniel Teichmann

        * D-E-R-P.K-C.config: Fix last password question not be asked.
          (9185bb50)
        * D-E-R-P.L-C.postinst: Give feedback to admin, if manual install of
          SSL CA certificate was not valid! (f9d51737)
        * data/templates/ProxyHeader.ldap: Fix missing newline. (7ed9e390)

2024-08-02 Daniel Teichmann

        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Prevent
          crashing, if d-e-r-p.c-f should be deinstalled (do not try
          to start service!). (312591db)

2024-08-09 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Support nested
          nisNetgroup objects. (17656d2a)

2024-08-06 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Clean u.
          Improve log messages; Fix bug where ASSERTION in
          updateFilterList would lead to crash. (ae185f91)

2024-08-05 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Simplify
          ldapsearch_{adgroup, nisNetgroup, groupOfNames,
          posixGroup} into ldapsearch_group(). (b1cf2ce3)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add debconf preseedings for
          new LDAP connector questions. (e68c0e4d)
        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Add
          ldapsearch_search_dn(), which searches for computer or
          user objects in a LDAP subtree. (f95e888f)
        * D-E-R-P.L-C: Generate $LDAP_GROUP_MATCHING_CFG_FILE and parse it in
          debian-edu-router_refresh-ldap-filterlists. (50fb38b8)

2024-08-02 Daniel Teichmann

        * D-E-R-P.L-C: Complete rewrite of debconf questions regarding proxy
          groups. (732d0f81)
        * D-E-R.common: Fix compare_comma_separated_items() function. Use
          stdout instead of stupid $RES variable... (f7085c4c)

2024-08-05 Daniel Teichmann

        * debian/debian-edu-router-plugin.ldap-connector.templates: Add
          default admin DN for Debian Edu users. (4b86231d)

2024-08-06 Daniel Teichmann

        * bin/debian-edu-router-loginmenu.sh: Add button for starting 'htop'
          utility. (dbf34532)

2024-08-02 Daniel Teichmann

        * D-E-R-P.C-F.postinst: Do not spam the console with thousands of
          verbose cp commands. (c7dc8eb7)
        * D-E-R-P.{C-F, L-C}.postinst: Improve warning log messages for
          disabled services. (9bd94447)
        * D-E-R-C.postinst: Improve comment of reverse NAT warnings.
          (b79ae260)
        * D-E-R-P.K-C.postinst: Fix log levels of important log messages; Use
          DNS alias for hostname in log messages. (15e0a4cd)
        * D-E-R-P.K-C.postinst: Fix verbosity of msktutil in non-debug mode.
          (85d8aee6)
        * D-E-R-P.K-C: Add (systemd, cron) services, which will automatically
          refresh the AD's computer account password every 30 days.
          (d1a56403)
        * D-E-R-P.K-C.postinst: Fix bug where keytab file would be
          accidentally overwritten. (79992671)
        * D-E-R-P.K-C: Allow for empty initial password. Msktutil will try
          default machine password then instead. (1219d20d)
        * All systemd services: Declare dependency on network-online.target.
          (36abe058)
        * Add/remove comments; Refactor loginmenu a bit. (e609f0fb)

2024-07-31 Daniel Teichmann

        * D-E-R-P.K-C: Add new base OU debconf question
          computer-account-base-ou. (e29e8212)

2024-07-30 Daniel Teichmann

        * D-E-R-P.C-F.postinst: Fix bug where SSL MItM CA would not be
          created! (52a82c54)

2024-07-29 Daniel Teichmann

        * D-E-R-P.C-F: Add additional info to DNS alias template. (92c369e8)
        * D-E-R-C.K-C.config: Add missing db_subst for
          computer-account-create-mode and
          computer-account-initial-password questions. (efd6a858)
        * D-E-R-P.K-C: Swap order of debconf questions. (7c78ff55)

2024-07-24 Daniel Teichmann

        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Add
          02-development script. (8da66cf6)

2024-07-23 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Set VLAN-Id of 'Printers'
          network to 30. (363a523c)
        * Makefile.debug: Upload plugins, before trying to install d-e-r-c.
          (254dadd6)
        * D-E-R-P.K-C FAI: Add debconf preseedings for new questions.
          (bc2f367e)
        * D-E-R-P.K-C.postinst: Implement
          create_squid_service_principal_msktutil() and
          kinit_against_microsoft_ad(). (50653a3f)
        * D-E-R-P.K-C.postinst: Refactor ifs, which use cat and grep.
          (3115b39a)
        * D-E-R-P.K-C: Add 'computer-account-create-mode' and
          'computer-account-initial-password' debconf questions.
          (7ba1a114)
        * D-E-R-P.K-C: Add 'msktutil' to debian/control for d-e-r-p.k-c.
          (cbebea84)
        * D-E-R-P.K-C: /usr/lib/squid/negotiate_kerberos_auth accept any
          SPNs. (dc2af9e7)

2024-07-16 Daniel Teichmann

        * d-e-r-fai: Remove fai/config/files/etc/hosts/GATEWAY, which
          overrides our DEBIAN_EDU_ROUTER hosts file. (a7a36f73)

2024-07-19 Daniel Teichmann

        * loginmenu Use SKIP_DEBCONF_QUESTIONS_CONFIG instead of
          $CONFIGURE_ONLY=INSTALL_SERVICE_TICKET. (ccfa1659)
        * D-E-R-P.K-C: Rename plugin from KRB5 Connector to Krb5 Connector.
          (89c76f87)

2024-07-16 Daniel Teichmann

        * D-E-R-P.K-C: Do not use dns_alias from d-e-r-p.c-f package to build
          Service Principal Name (SPN). (3f2953e6)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add debconf preseedings for
          KRB5 Connector plugin. (1b0ba185)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix spacing of debconf
          preseedings. (ff07919f)

2024-07-15 Daniel Teichmann

        * D-E-R-P.K-C.postinst: Add functions
          validate_service_principal_installed() and
          validate_keytab_non_empty(). (162b5353)
        * D-E-R-P.K-C.postinst: Move loginmenu check further downstream.
          (1bdb9a3e)
        * D-E-R-P.K-C.postinst: Replace $principal_name with
          $SERVICE_PRINCIPAL_NAME. (2b8c7a41)
        * D-E-R-P.K-C: Move KRB5_KTNAME and KRB5_CONFIG env-vars, for
          squid_d-e-r@.service, into own systemd config file.
          (5bf291ad)

2024-07-12 Daniel Teichmann

        * D-E-R-P.K-C: Add Squid negotiate authentication method using
          negotiate_kerberos_auth. (1070a5dd)
        * D-E-R-P.K-C: Generate /etc/debian-edu-router/krb5.d/krb5.conf.squid
          file using template header. (9a2430a9)

2024-07-15 Daniel Teichmann

        * D-E-R-P.K-C.postinst: Move Squid snippet creation code into own
          function; Load 'dns_alias' debconf question from content
          filter. (7a0fb2bb)

2024-07-12 Daniel Teichmann

        * D-E-R-P.K-C: Add initial set of KRB5 related debconf questions.
          (cac0cad7)

2024-07-10 Daniel Teichmann

        * Introduce new Debian Edu Router Plugin: KRB5 Connector. (97c7dbdd)
        * Makefile.debug: Add new plugin Debian Edu Router Plugin: KRB5
          Connector. (f799053e)
        * Makefile.debug: Do not uninstall and then reinstall packages, but
          reinstall them directly via 'apt-install reinstall'.
          (d984f1b4)
        * update-po{t}.sh: Use po/DOMAINS file to keep track of
          GETTEXT_DOMAINS. (72346082)
        * D-E-R-P.L-C.triggers: Add missing trigger file. (6b9e0278)
        * d-e-r-p.c-f.postinst: Fix not handling manage_unit return value.
          (9c316bb1)
        * D-E-R-P.C-F e2guardianf1.conf: Fix typo in __LISTDIR__ variable
          usage's. (0f20c12b)

2024-07-09 Daniel Teichmann

        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg.temp:
          Load background image and font from FAI-CD (instead of
          (memdisk)). (90673f4e)
        * D-E-R-P.C-F: Fix bug where if e2guardian is above version 5.5.4,
          lists would be missing causing d-e-r-p.c-f to crash midst
          reconfiguring. (5a6d07d6)

2024-07-08 Daniel Teichmann

        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Add
          obsoleted 'scripts/DEBIAN_EDU_ROUTER/05-logo' file.
          (ab568d67)

2024-07-05 Daniel Teichmann

        * D-E-R-P.C-F: Move 00_debian-edu-router_logo.svg file from FAI
          config space into plugin package. (84c05396)

2024-07-08 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Fix quotation
          bug where member DNs would split, leading to a wrong
          ldapsearch query. (8b03f10a)

2024-07-04 Mike Gabriel

        * conf/profile.d/d-e-r_on-login.sh: Fake SHLVL=2 if SHLVL is unset.
          (9c64a754)

2024-07-05 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Filter computer
          accounts from groupOfNames user objects. (d1a27e59)

2024-06-25 Daniel Teichmann

        * D-E-R-P.L-C: Rework ldapsearch_dhcpHost() to get full FQDN via
          reverse-lookup in
          bin/debian-edu-router_refresh-ldap-filterlists.sh.
          (61aeb27c)
        * D-E-R-P.L-C.postinst: Combine content-filter and LDAP DNS servers
          and pass them as a variable to
          debian-edu-router_refresh-ldap-filterlists. (75fedec9)
        * debian/debian-edu-router.common: Pad debuglevel (Error:, Warning:,
          Debug:) with spaces, so that they align perfectly.
          (24547fa0)

2024-06-21 Daniel Teichmann

        * D-E-R-P.C-F: Implement groupOfNames in
          bin/debian-edu-router_refresh-ldap-filterlists.sh.
          (9335e99a)

2024-07-03 Daniel Teichmann

        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg.temp:
          Drop copyright notice from Grub menu. (a1bbaf5a)

2024-07-02 Daniel Teichmann

        * d-e-r-f grub.cfg.temp: Add background image and DejaVuSansMono
          font. (60d5a2ff)
        * debian-edu-router-fai: Make grub.cfg a grub.cfg.temp template; Add
          .postinst file. (753be0f1)
        * debian-edu-router-fai: Add d-e-r-common to Pre-Depends. (62dee549)
        * debian/debian-edu-router-fai.install: Fix spacing. (d50a299a)

2024-07-03 Mike Gabriel

        * d-e-r-p.c-f: Sites listed in ProxyAllowSite must not be filtered
          via e2guardian / ICAP. (b4db7510)

2024-06-25 Daniel Teichmann

        * FAI conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg:
          Update file. (be6f0714)

2024-06-21 Daniel Teichmann

        * D-E-R-P.C-F: Rename 'ldapsearch_adgroup_sAMAccountName' to
          'ldapsearch_sAMAccountName.
          'ldapsearch_adgroup_dNSHostName' to
          'ldapsearch_dNSHostName'. (847cb3fb)
        * D-E-R-P.C-F: Use keyword 'local' to make scope of variables from
          functions smaller, in
          bin/debian-edu-router_refresh-ldap-filterlists.sh.
          (a76fe180)

2024-06-19 Daniel Teichmann

        * bin/debian-edu-router-loginmenu.sh: Show version in addition to
          PRODUCTNAME and MACHINE_ID. (e3e7709a)
        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Implement
          'posixGroup' group type for users. (27f14cee)

2024-06-24 Daniel Teichmann

        * debian/control: Add note in LDAP/AD description to make clear that
          d-e-r-p.l-c is an addition to d-e-r-p.c-f; Add d-e-r-p.c-f
          in Recommends. (6453e525)
        * D-E-R-P.C-F: Update docs/squid_ACLs_transparent_mode.md.in.
          (e9cd46f1)
        * D-E-R-P.C-F: Add Proxy*SiteIP_Generated + transparent_mode ACL,
          which should only be applied, if transparent proxy mode is
          being used. (d6ff3672)
        * D-E-R-P.C-F: Make file
          conf/squid/snippets.d/20_squid_acls_d-e-r-p.c-f.conf a
          template file. (8cc94709)

2024-06-21 Daniel Teichmann

        * D-E-R-P.C-F: Remove unused @DEBUGLEVELFILE@ in
          conf/e2guardian/e2guardian.conf.in. (20343888)
        * D-E-R-P.C-F: Rework docs/squid_ACLs_transparent_mode.md.in.
          (050e6d56)
        * D-E-R-P.C-F.templates: Replace placeholder description with actual
          one for 'service-contentfilter-autoregenerate-ips'.
          (fe986cbb)
        * D-E-R-P.C-F: bin/debian-edu-router_refresh-generated-ips.sh: Use
          'dig' instead of 'host'; make code cleaner; improve
          comments. (6b67fed0)
        * D-E-R-P.C-F.postinst: Allow downloading of .crt files, if in
          debugmode. (a85be01f)

2024-06-19 Daniel Teichmann

        * D-E-R-P.C-F: Rename snippets ??_*_d-e-r.conf to
          ??_*_d-e-r-p.c-f.conf, to better indicate where these
          files come from. (43cf79c2)
        * FAI: Add preseeding for content-filter/dns-servers question.
          (98c77ad0)
        * D-E-R-P.L-C: Also remove Squid configs and snippets. (72880ec1)
        * D-E-R-P.C-F: Do not require LDAP DNS server, if DNS server was
          already specified in content filter. (a0ebd8bb)
        * D-E-R-P.C-F: Remove obsolete file
          /etc/squid/conf.d/dns_nameservers_d-e-r.conf. (bccf5dd6)
        * D-E-R-P.C-F: Add file
          /etc/squid/snippets.d/02_squid_dns-server_d-e-r-p.c-f.conf.
          (9dee0117)
        * D-E-R-P.C-F: Add content-filter/dns-servers question, analogous to
          ldap-connector/ldap-dns-servers. (8ba73067)
        * D-E-R-P.L-C: Rename @DNS_SERVERS@ to @DNS_SERVERS_LC@, to prepare
          for coming @DNS_SERVERS_CF@. (43770c9e)
        * D-E-R-P.C-F: Fix missing file
          /etc/squid/conf.d/dns_nameservers_d-e-r.conf. (ea0b75bd)

2024-06-20 Daniel Teichmann

        * D-E-R-P.C-F: Add explanation for Proxy*SiteIP.generated filterlists
          in docs/squid_ACLs_explained.md.in. (f4329f64)
        * D-E-R-P.C-F: Add Proxy*SiteIP.generated filterlists in
          conf/squid/snippets.d/25_squid_acls.generated_d-e-r.conf.
          (d061cae1)
        * D-E-R-P.C-F: Add loginmenu items for enabling/disabling
          auto-regeneration of Proxy*Site.* IP addresses. (0eed3f45)
        * D-E-R-P.C-F: Add template and debconf question for autoregenerating
          IPs (analogue to autorefresh blacklists). (a865d896)
        * D-E-R-P.C-F: Add systemd timer, service and cronjob for
          regenerating IP addresses. (812a531c)
        * D-E-R-P.C-F: Add file
          bin/debian-edu-router_refresh-generated-ips.sh. (e778e6ff)

2024-06-19 Daniel Teichmann

        * docs/squid_ACLs_flowchart.{svg, drawio}: Update flowchart.
          (aeff4a39)
        * D-E-R-P.C-F: Update conf/e2guardian/e2guardianf1.conf to
          5.5.4-1~0deb12. (aa798147)
        * D-E-R-P.C-F: Delete file conf/e2guardian/default.story. (9d3c51cd)
        * D-E-R-P.C-F: Deliver own .story files for e2guardian. (c958d5c5)

2024-06-14 Daniel Teichmann

        * conf/e2guardian/e2guardianf1.conf: Use .Define to replace
          __LISTDIR__ with
          '/var/lib/debian-edu-router/d-e-r-p.c-f/blacklists.d/'.
          (15ba66cd)
        * debian/control: D-E-R-P.C-F should depend on e2guardian >= 5.5.4.
          (4863e757)

2024-06-19 Daniel Teichmann

        * D-E-R-P.C-F: conf/systemd/squid_d-e-r_acl_watcher.service: Add
          StartLimitIntervalSec=0 and StartLimitBurst=0. (bb3481ae)

2024-06-18 Daniel Teichmann

        * Squid Snippets: Swap ACL rules order, for rules like: 'http_access
          allow Proxy{Client,User} Proxy*Site'. (80c5c6f8)
        * D-E-R-P.C-F: Fix CSS of error pages by fixing a file path.
          (9acabd4e)
        * docs/squid_ACLs_flowchart.{svg, drawio}: Update flowchart.
          (091ad14f)
        * D-E-R-P.{L-C, C-F}: Rename 'ProxyTablet' to 'ProxyNoauthClient'.
          (ea8d6259)
        * D-E-R-P.C-F: Remove unused @HTTP_OR_CACHEPEER_ACCESS_LOCALHOST_BL@.
          (2f295eaf)
        * D-E-R-C.postinst: Do not do Uif DNAT- rule on all ports. Use only
          http and https. (2e84afad)
        * D-E-R-P.C-F: Rework Squid ACLs and fix a few undocumented bugs.
          (f79a57d0)

2024-06-14 Daniel Teichmann

        * Makefile.debug: Add 'dnsutils' to prepare_debugging_server target.
          (c8d50d76)

2024-06-13 Daniel Teichmann

        * D-E-R-C + D-E-R-P.C-F: Add more files to purge in postrm.
          (60f52a04)
        * D-E-R-P.L-C: Move
          '/usr/share/debian-edu-router-plugin.ldap-connector/LDAP-server_end-entity.crt'
          to
          '/usr/share/debian-edu-router/ldap-connector/LDAP-server_end-entity.crt'.
          (8b09fb78)
        * D-E-R-P.L-C: Move
          '/usr/share/debian-edu-router-plugin.ldap-connector/ca-cert-bonding-scripts/'
          to
          '/usr/share/debian-edu-router/ldap-connector/ca-cert-bonding-scripts/'.
          (80ced188)
        * D-E-R-P.C-F: Move
          '/usr/share/debian-edu-router/static/content-filter-errorpage.css'
          to
          '/usr/share/debian-edu-router/content-filter/static/content-filter-errorpage.css'.
          (56bc7cd6)
        * D-E-R-P.L-C: Create file
          '/var/lib/debian-edu-router/d-e-r-p.l-c/enabled' if plugin
          is enabled; Check if plugin is enabled in loginmenu +
          refresh-ldap-filterlists. (5c31219f)
        * bin/debian-edu-router-loginmenu.sh: Fix stderr output of in
          check_ldap_connection(). (56e52dff)

2024-06-12 Daniel Teichmann

        * D-E-R-P.L-C: Loginmenu: Check if LDAP connection is ready, warn if
          not; + Change comments. (456cf117)
        * D-E-R-P.L-C.postinst: Use new convert_certificate_to_pem() and
          is_pem_format() functions. (757f16df)
        * debian/debian-edu-router.common: Add convert_certificate_to_pem(),
          which will convert a x509 cert into PEM format, if
          neccessary. (f95a2591)

2024-05-31 Daniel Teichmann

        * Fix file name fai/config/scripts/DEBIAN_EDU_ROUTER/05-logo (leading
          zero missing). (23616678)
        * D-E-R-P.C-F.prerm: Add prerm file; Execute
          'debian-edu-router_e2guardian-refresh-blacklists
          --remove-blacklist' to remove e2guardians blacklist files.
          (9277157f)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Add
          --remove-blacklists option. (766f078b)

2024-05-29 Daniel Teichmann

        * D-E-R-P.C-F.{dirs, postrm}: Rework purging content-filter.
          (a4d2c0d8)

2024-05-31 Daniel Teichmann

        * D-E-R-P.L-C.templates: Add reference to old name of question
          'ldap-install-cert-type'. (9db38dbf)

2024-05-30 Daniel Teichmann

        * D-E-R-P.C-F: Also allow direct access to host running d-e-r-p.c-f.
          (f8f2f35d)
        * D-E-R-P.C-F: If a logo is available, convert it to base64 data URI
          and embed it into Squids' errorpage.css. (da622ea9)
        * conf/squid/snippets.d/09_squid_auth.local_d-e-r.conf.in: Fix
          wrong/old local-password-storage filename! (de7d7a7a)
        * Add Debian Edu Skolelinux logo to
          /usr/share/debian-edu-router/logos/00_debian-edu-router_logo.svg.
          (12d4c2dc)
        * po/de/LC_MESSAGES/debian-edu-router-plugin.ldap-connector.po:
          Update german translation for LDAP/AD plugin name.
          (c3daf300)
        * Run ./update-pot.sh and ./update-po.sh. (d5ae388b)
        * conf/debian-edu-router-plugins/d-e-r-p.ldap-connector.sh: Fix
          PLUGIN_NAME. (58fd1381)

2024-05-30 Mike Gabriel

        * debian/debian-edu-router-plugin.ldap-connector.postinst: Minor
          phrase fix. (d975d073)

2024-05-30 Daniel Teichmann

        * D-E-R-P.L-C: Rename question 'ldap-behavior-ca-cert' to
          'ldap-install-cert-type'. (9c0a7979)

2024-05-29 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Set ldap-behavior-ca-cert to
          'manually'. (d3d8cffd)
        * D-E-R-P.L-C.postinst: Rework logic of LDAP CA/EE certificate
          installation behaviour. (0cadf465)
        * D-E-R-P.L-C.templates: ldap-behavior-ca-cert: Rename 'end-entity'
          to 'ee-cert'; Remove 'fail' + Add 'ca-cert' option.
          (7df42ef2)
        * D-E-R-P.L-C: Loginmenu: Make own menu option to install CA/EE
          certificates. (a5d50a7b)
        * D-E-R-P.C-F.postinst: Silence a2enconf command, instead use own
          notice_log. (e3a4e420)
        * D-E-R-P.C-F.postinst: Create blacklist files first, before trying
          to start e2guardian_d-e-r.service. (fe0d8f9f)

2024-05-27 Daniel Teichmann

        *.preinst: Do not crash, if non-symlink was found. Remove it if
          it's empty else backup it away. (71fdaf1a)

2024-05-24 Daniel Teichmann

        * fai/config/files/etc/debian-edu-router/debug/DEVELOPMENT: Add fil.
          Force-Enable debugging mode, if DEVELOPMENT class was
          selected. (a2224eb8)
        * D-E-R-C.config: Fix bug where unknown iface in
          available_network_interfaces_description_extended() would
          lead to infinite loop in FAI installation. (392bb844)
        * conf/systemd/e2guardian_d-e-r.service: Require squid_d-e-r.target.
          (7589e9d8)
        * .postinst: Refactor all invoke-rc.d, update-rc.d and systemctl
          calls to use manage_unit(). (7ba0d82d)
        * debian/debian-edu-router.common: Fix bug where color would be off,
          if set -x was used. (045efd8b)
        * debian/debian-edu-router.common: Add manage_unit() wrapper function
          for systemctl calls. (a9834c2d)

2024-05-27 Daniel Teichmann

        * fai/config/class/z20_debian-edu-router.profile: Fix default
          selection. (dd8e1368)

2024-05-23 Daniel Teichmann

        * D-E-R-P.C-F.postinst: Fix bug where @DEBUGLEVEL@ wouldn't be
          replaced. (2ba52c7f)
        * conf/apache2/index.html.in: Add dowload link for SSL MitM root CA
          certificate. (9726c11c)
        * conf/apache2/index.html.in: Fix invalid 'display=hidden' to
          'display=none' for product version. (832b7e96)
        *.postinst: Make $PRODUCTVERSION available (package version).
          (06794000)
        * conf/squid/content-filter-errorpage.css.in: Add missing
          :@HTTP_PROXY_PORT to image url. (62aa31ee)
        * D-E-R-P.L-C.config: Rework state machine logic for better
          maintainability. (ff46378e)
        * fai/config/package_config/DEBIAN_EDU_ROUTER_PLUGINS: At newline at
          EOF. (c3bcd756)

2024-05-21 Daniel Teichmann

        * FAI: Drop classes MDNS_REFLECTOR, PROXY, WEBFILTER; Introduce
          DEBIAN_EDU_ROUTER_PLUGINS. (ac243f7f)
        * D-E-R-P.C-F: Add basic file-based fallback authentication scheme,
          if LDAP connector* is disabled. (4916124a)
        * D-E-R-C.postinst: Prevent trustworthy IPs from being NAT'ed. Fixes
          bug where in d-e-r-p.c-f would NAT via transparent proxy
          mode. (08b65022)
        * Move ldap_uri_parse() to common file at parse_ldap_uri().
          (dc896641)
        * D-E-R-P.C-F.postinst: Fix bug where default squid.service would
          still be running and blocking port 3128. (0d2c94be)
        * D-E-R-P.L-C.postinst: Make ldap_port and ldap_host available for
          whole file. (181e2fc7)
        * Fix typo in debian/debian-edu-router-plugin.content-filter.postinst
          (wrong package name referenced). (ca45189c)
        * debian/d-e-r-p.*.postinst: Fix 'Please enable plugin!'-message
          (Inverted D_E_R_LOGINMENU in if). (00a5f2b6)

2024-05-17 Daniel Teichmann

        * D-E-R-P.C-F: Fix e2guardian blacklists paths; Replace old
          '/etc/e2guardian/lists' with
          '/var/lib/debian-edu-router/d-e-r-p.c-f/blacklists.d'.
          (c3a6d24c)

2024-05-21 Daniel Teichmann

        * D-E-R-P.L-C.postinst: Remove *.ldap filterlists, if LDAP connector
          is disabled. (ea022568)
        * D-E-R-P.L-C conf/squid/snippets.d/: Make 21* conf file a .in
          template file; Rename conf files (add d-e-r-p.l-c prefix).
          (c6d8afc0)

2024-05-16 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Disable plugins by default.
          (8f1c77f0)
        * D-E-R-P.L-C.postinst: Do not announce toggling auto-refresh of
          filterlists, even if nothing changed. (73bde274)
        * D-E-R-P.C-F.postinst: Do not announce toggling auto-refresh of
          blacklists, even if nothing changed. (eb35d48a)
        * Loginmenu: Add option to toggle debug messages. (4b98a829)
        * Loginmenu: Do not skip directly to main menu if in plugin menu.
          (62f7069e)
        * D-E-R-P.C-F.config: Fix bug where after selecting recreation of
          root-CA cert and then aborting, it would ask CA questions
          regardless. (f1daa56e)
        * D-E-R-P.{M-R, C-F}.postinst: Refactor code a bit (move it around).
          (7f7b3a5f)
        * Loginmenu: Add options which toggle plugin's functionality.
          (45f44de7)
        * All plugins: Add general should-plugin-be-enabled question.
          (fe254af0)
        * debian/*.postinst: Refactor postinst files; Add main() function.
          (b4db7e6a)

2024-05-21 Mike Gabriel

        * debian/debian-edu-router-plugin.ldap-connector.templates: Nit-pick
          for
          debian-edu-router-plugin.ldap-connector/ldap-user-searchfilter.
          (fe8fe021)

2024-05-16 Daniel Teichmann

        * debian/debian-edu-router-plugin.ldap-connector.postrm: Fix typos.
          (2e5ad3c4)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add preseeding for
          'ldap-user-searchfilter' question. (72721647)
        * D-E-R-P.L-C: Fix 10_squid_auth_d-e-r.conf.in, which had hardcoded
          defaults for Debian Edu, which will not work for a DC/AD.
          (568403ed)
        * D-E-R-P.L-C.postinst: Refactor $LDAP_SECRET_FILE and
          $LDAP_CONFIG_FILE. (74df92a3)
        * D-E-R-P.L-C.postinst: Refactor $ld_matching_cfg_file ->
          $LDAP_GROUP_MATCHING_CFG_FILE. (5806b589)
        * D-E-R-P.L-C: Add debconf question 'ldap-user-searchfilter'.
          (cac3caad)
        * D-E-R-P.C-F.postinst: Fix broken ProxyBlacklistUser, it would not
          use ICAP to filter bad sites via e2guardian. (d1138428)
        * D-E-R-P.L-C: Make debian-edu-router_ldapsearch.sh a template, which
          will be prepared by replacing @@-strings. (887cc762)
        * D-E-R-P.L-C: Rename 000_Tjener-SSL-Bonding_d-e-r-p.l-c.sh to
          000_Tjener-SSL-Bonding.sh. (02ea369b)
        * Refresh blacklists + filterlists services: Fix bug where disabled
          systemd-timer-unit would start again, after manually
          starting service-unit! (49b052ae)

2024-05-15 Daniel Teichmann

        * debian/debian-edu-router-plugin.content-filter.postinst: Remove
          redundant rm & touch for ProxyTrustedClientIP.generated.
          (024ef806)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add preseedings for Debian
          Edu Router Plugins. (607fbf9c)
        * fai/config/files/etc/hosts/DEBIAN_EDU_ROUTER: Add tjener.intern
          (and ldap, www, ...) to /etc/hosts. (a1439edd)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix preseedings for VLAN IDs.
          (60b97620)

2024-05-14 Daniel Teichmann

        * bin/debian-edu-router_refresh-ldap-filterlists.sh: Include common
          file; Refactor all echo's to use D_E_R specific logging
          functions. (9bad594b)
        * D-E-R-P.C-F: Do not execute
          e2guardian_d-e-r_refresh-blacklists.service everytime we
          reconfigure d-e-r-p.c-f. (68bf1679)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Add logging
          messages. (86cfc849)
        * D-E-R-P.C-F: Update blacklist files from e2guardian package, if
          they are newer. (62b57d43)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Write own
          function download_blacklists(); be more forgiving, if inet
          is not that stable. (6cd7ed64)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Include
          common file, which provides logging functions (amongst
          others). (9f6f097c)
        * D-E-R-P.L-C: Loginmenu: Add 'Refresh LDAP filterlists manually.'
          option. (2787fb8a)
        * D-E-R-P.C-F: Loginmenu: Add 'Refresh blacklists manually.' and
          'Edit the selection of blacklist categories.' menu
          options. (2bcd1bfb)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Add
          copyright header to whitelisted_categories and
          blacklisted_categories. (6e47ed66)

2024-05-13 Daniel Teichmann

        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Introduce
          $SELECT_CATEGORIES_DIR and $LISTS_DIR. (e0a25bd3)
        * bin/debian-edu-router_e2guardian-refresh-blacklists.sh: Refactor
          working dir to $WORK_DIR
          '/var/lib/debian-edu-router/blacklists.d/work_dir/'.
          (77d09415)
        * Project Wide: Use '/usr/lib/systemd/system/' instead of
          '/lib/systemd/system/'. (739efac7)

2024-05-10 Daniel Teichmann

        * debian/debian-edu-router-plugin.content-filter.postinst: Refactor
          file a bit. (2f98f945)
        * Fix typo: 'comming' -> 'coming'. (caada887)

2024-05-08 Daniel Teichmann

        * D-E-R-P.Content-filter: Add debconf question
          'autorefresh-blacklists', which toggles auto-refreshing of
          Toulouse blacklists on/off. (b02b4173)
        *: s/update-blacklists/refresh-blacklists/g". (ffb031d3)
        * D-E-R-P.LDAP-Connector: Add debconf question
          'ldap-refresh-filterlists', which toggles auto-refreshing
          of LDAP filterlists on/off. (946d4ecd)

2024-05-13 Daniel Teichmann

        * D-E-R-P.L-C: Use '/var/lib/debian-edu-router/certs/' instead of
          '/usr/local/share/ca-certificates' for ca-certificates.
          (4369925e)

2024-05-08 Daniel Teichmann

        * debian/debian-edu-router-plugin.ldap-connector.postrm: Remove CA
          cert, if purged. (1a3c049c)

2024-05-07 Daniel Teichmann

        * debian/debian-edu-router-plugin.ldap-connector.postinst: While
          disabling L-C, stop
          squid_d-e-r_refresh-ldap-filterlists.*. (f1282c2f)
        * D-E-R-P.LDAP-Connector: Add dialog and logic for
          debian-edu-router-plugin.ldap-connector/ldap-behavior-ca-cert.
          (db2d68a3)
        * conf/ssl/000_Tjener-SSL-Bonding_d-e-r-p.l-c.sh: Add script which
          will get the CA certificate from Tjener. (d48c4b05)
        * debian/debian-edu-router-plugin.ldap-connector.postinst: Refactor
          whitespace in process_services_answers() function.
          (6b957cc0)
        * conf/e2guardian/e2guardian.conf.in: Enable requests.log saved in
          /var/log/debian-edu-router/e2guardian/. (c81f7dfe)
        * debian/debian-edu-router-plugin.content-filter.postrm: Also remove
          *.generated filterlist files. (3758a756)

2024-05-02 Daniel Teichmann

        * D-E-R-P.C-F: Rename squid_acl_watcher_d-e-r to
          squid_d-e-r_acl_watcher to be more uniform with other
          d-e-r services. + Unmask squid_d-e-r_acl_watcher.path +
          Enable squid_d-e-r_acl_watcher.path (f63ec51b)
        * Refactor comments; Fix typos and spacing. (dc07a58c)

2024-04-29 Daniel Teichmann

        * D-E-R-P.C-F: Add update-e2guardian-blacklists script + systemd
          timerd services (preferred over also added cron jobs).
          (63a6585c)

2024-05-02 Daniel Teichmann

        * D-E-R-P.L-C: Replace "reload-ldap-filterlists" with
          "refresh-ldap-filterlists". (62cf0d6f)

2024-04-29 Daniel Teichmann

        * D-E-R-P.L-C: Add refresh-ldap-filterlists systemd timerd services
          (preferred over cron jobs). (770cac5e)

2024-05-02 Daniel Teichmann

        * debian/debian-edu-router-plugin.content-filter.postinst: Fix
          transparent_proxy_mode_enabled if statements. (99fdc6aa)
        * bin/debian-edu-router_ldapsearch.sh: Fix LDAPRC path; Fixes bug
          where wrapper script would be executed by systemd.
          (c7796d44)

2024-04-29 Daniel Teichmann

        * debian/debian-edu-router-{plugin.content-filter, config}.postinst:
          Fix bug where deb-systemd-* wouldn't remove dependency of
          .target services. (2a750030)

2024-04-27 Daniel Teichmann

        * debian/*.{config, preinst, postinst, postrm}: Include router.conf
          to make PRODUCTNAME(_PLUGIN) available; Set db_title to
          '$PRODUCTNAME'. (147b355d)

2024-04-26 Daniel Teichmann

        * Run 'debconf-updatepo' + Update german translation. (dbcf6962)
        * Run 'debconf-updatepo'. (927c7420)
        * Debconf templates: Replace all occurences of 'Debian Edu Router' to
          improve product branding. (433517ba)
        * debian/debian-edu-router-plugin.mdns-reflector.templates: Fix typo
          (spacing). (797742c5)
        * debian/debian-edu-router-plugin.ldap-connector.templates: Fix
          phrasing of 'ldap-group-type-user' question. (658a9c37)
        * debian/debian-edu-router-plugin.content-filter.templates: Mention
          that transparent proxy mode can be disabled, and no extra
          HTTP proxy port will be opened. (19b15db9)
        * debian/debian-edu-router-plugin.content-filter.templates: ACLs for
          user and client groups are supported now. (b7a2efbc)
        * debian/debian-edu-router-plugin.content-filter.templates: Fix typo.
          (1b2707c2)
        * debian/debian-edu-router-plugin.ldap-connector.postinst: Fix sed of
          @LDAP_URI@ breaking postinst. (2dfb89f8)

2024-04-26 Mike Gabriel

        * debian/po/: Fully update debian/po files by adjusting
          debian/po/POTFILES.in. (6df93aa3)

2024-04-26 Daniel Teichmann

        * po/de/* & debian/po/de.po: Update german translation files.
          (cd2c1acc)
        * Run 'debconf-updatepo'. (e4a6d62b)
        * Run ./update-po.sh script. (cf2d9298)
        * Run ./update-pot.sh script. (a7feef26)

2024-04-25 Daniel Teichmann

        * D-E-R-P.C-F: Implement option in loginmenu to recreate SSL MitM CA
          certificate (but ask user before actually committing).
          (d3e4eed8)

2024-04-24 Daniel Teichmann

        * D-E-R-P.{l-c,c-f,m-r}.postinst: Fix PRODUCTNAME of all plugins.
          (b2f5d194)
        * debian/debian-edu-router-plugin.content-filter.postinst: Move last
          message of postinst to 'notice' log level. (8122338d)
        * d-e-r-p.l-c.templates: Do not be misleading in ldap-uri question.
          LDAPS scheme is not possible, if certificate is demanded.
          (b4a6ce5f)
        * d-e-r-p.c-f.postinst: Make sure squid_acl_watcher_d-e-r is
          unmasked. (ff97de9b)
        * D-E-R-P.c-f.postinst: Be double sure (in addition to preinst) that
          e2guardian's log files are rw. (73a68ea9)
        * Revert "debian/d-e-r-c.config: Prevent questions to get asked twice
          if d-e-r-common is already installed." (625f28b5)
        * debian/debian-edu-router-config.postinst: Quickfix: Apend '|| true'
          to "db_get
          debian-edu-router-plugin.content-filter/dns-alias".
          (0ec0f826)

2024-04-26 Daniel Teichmann

        * docs/squid_ACLs_explained.md.in: Fix typos, fix phrasing.
          (73807784)
        * data/templates/ProxyHeader.generated: Add newline at EOF.
          (df3d538f)
        * conf/squid/snippets.d/10_squid_auth_d-e-r.conf.in: Adjust
          external_acl_type comment. (af28a0a7)
        * D-E-R-P.L-C.postinst: Use $ldap_uri and not static 'tjener.intern'
          in conf/squid/snippets.d/10_squid_auth_d-e-r.conf.in.
          (26e487fd)
        *
          debian/debian-edu-router-plugin.ldap-connector.refresh-ldap-filterlists.cron.d:
          Add newline at EOF. (103cc62f)
        * bin/debian-edu-router_reload-ldap-filterlists.sh: Drop doubled
          'export LDAPRC=...'. (87d87a0d)
        * debian/debian-edu-router-plugin.ldap-connector.templates: Do
          recommend 'posixGroup' instead of 'nisNetgroup' (but
          actually do recommend 'nisNetgroup' for now). (5363c880)
        * debian/debian-edu-router-plugin.ldap-connector.templates: Rephrase
          wording of group matching questions. (5c38e6fc)
        * debian/debian-edu-router-plugin.ldap-connector.templates: Do not
          write users or clients in allcaps in texts. (2e41bb34)
        * Refactor all '$D_E_R_DEBUG' to use curly braces '${D_E_R_DEBUG}'.
          (501349e8)
        * conf/squid/snippets.d/02_squid_dns-server_d-e-r.conf.in: Add
          missing file. (afa6d43c)

2024-04-22 Daniel Teichmann

        * debian/debian-edu-router-plugin.{mdns-reflector,
          content-filter}.postinst: Make PRODUCTNAME (plugin name)
          more uniform. (1401ae1e)
        * D-E-R-P.C-F: Automatically fill ProxyTrustedClientIP.generated with
          the trustworthy IPs. (ee723024)

2024-04-23 Daniel Teichmann

        * debian/debian-edu-router-plugin.ldap-connector.postinst: Remove
          doubled PRODUCTNAME assignment. (6d2a4b4d)

2024-04-22 Daniel Teichmann

        * D-E-R-P.L-C: Implement DNS servers debconf question. (b73875b8)
        * debian/debian-edu-router-plugin.content-filter.postinst: Use
          'stdio' prefix for log paths. (e9c6753d)

2024-04-08 Daniel Teichmann

        * D-E-R-P.C-F: docs: Rewrite squid_ACLs_explained.md.in (Add Proxy
          User Authentication stuff). (d2b67034)

2024-04-05 Daniel Teichmann

        * D-E-R-P.L-C: Implement user authentication (Proxy*User). (74aad462)

2024-04-19 Daniel Teichmann

        * D-E-R-P.L-C: Add bin/debian-edu-router_reload-ldap-filterlists.sh.
          Run it every 5 minutes via a cronjob. (080ac97d)

2024-04-05 Daniel Teichmann

        * conf/squid/snippets.d/20_squid_acls_d-e-r.conf: Remove unnecessary
          'all' ACL. Squid v3 defines it automatically. (231dce0f)

2024-04-19 Daniel Teichmann

        * d-e-r-p.l-c: Generate file
          /etc/debian-edu-router/ldap.d/ldap-groups-to-squid-acl-matching.sh
          which should be sourced by the (not yet created)
          ldap-groups-reload-script. (be16443e)
        * d-e-r-p.l-c: Add wrapper 'debian-edu-router_ldapsearch' for
          'ldapsearch'. (288c98da)

2024-04-05 Daniel Teichmann

        * debian/debian-edu-router.common:  When debug mode is enforced via
          file, do D_E_R_DEBUG="enforced" instead of "true".
          (6ad6487b)
        * D-E-R-P.C-F: Move Squid config and snippet templates into a
          subdirectory to make sure it won't interfere with other
          plugins. (7eb127b1)

2024-04-03 Daniel Teichmann

        * debian/d-e-r-p.l-c.config: Add milestones variables instead of
          using step numbers directly. (72d6b210)

2024-03-28 Daniel Teichmann

        * D-E-R-P.L-C: Add dialogs to configure user/client group mappings.
          (335b601a)
        * debian/d-e-r-p.c-f.postinst: Use $dns_alias for ACL name in
          create_squid_config_lockout_unknown_nets() (instead of
          webcache). (7a830e0f)

2024-03-27 Daniel Teichmann

        * D-E-R-P.C-F: Fix bug where 20_squid_acls_d-e-r.conf would get
          spammed with ACL definitions after each reconfigure.
          (e118a34d)
        * debian/d-e-r-p.c-f.postinst: Refactor; Put SSL bumping + ICAP
          config generation code into own functions. (887be6c0)
        * conf/squid/snippets.d/24_squid_acls.dist_d-e-r.conf: Load dist
          managed filterlists (ProxyAllowSite only, for now).
          (a1928305)
        * data/filterlists.d/ProxyAllowSite.dist: Add '.debian.org' as always
          allowed and trusted website. (1369ebb8)

2024-03-26 Daniel Teichmann

        * debian/d-e-r-p.c-f.install: Directly install
          data/filterlists.d/*.dist filterlists into
          /var/lib/debian-edu-router/filterlists.d/. (b0d414a0)

2024-03-25 Daniel Teichmann

        * D-E-R-P.C-F: Apache2: Replace default index.html with
          empty-by-design index.html. (498004a1)

2024-03-26 Daniel Teichmann

        * D-E-R-P.C-F: Make content-filter-errorpage.css file be generated
          using template; Use $dns_alias instead of
          'gateway.intern'. (906e6ba0)
        * debian/debian-edu-router-plugin.content-filter.postinst: Use
          $dns_alias instead of 'gateway' for Squid configuration.
          (0e53e8b5)

2024-03-25 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Fix indentation.
          (0209762a)
        * D-E-R-P.C-F: conf/apache2/wpad.dat.in: Reffer to ourselves as
          configurable @DNS_ALIAS@. (bac836fe)
        * D-E-R-P.C-F: Instead of 'webcache/wpad.dat'-> offer
          configurable'$dns_alias/wpad.dat' file. (353300b6)
        * D-E-R-P.C-F: Add debconf dialog to ask for DNS alias. (8bb5ec17)

2024-03-26 Daniel Teichmann

        * docs/squid_ACLs_explained.md.in: Explain that if websites are
          listed in Proxy{Allow,Whitelist}Site*, then these sites
          will be SSL sliced in [Blacklist mode] too. (e0b2a0ec)

2024-03-25 Daniel Teichmann

        * debian/debian-edu-router-plugin.content-filter.postinst: Fix
          indentation. (fc8db28e)
        * D-E-R-P.C-F: Add dialog option the enable/disable transparent proxy
          mode. (005dc88c)

2024-03-21 Daniel Teichmann

        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          Move URL ACL checks to the end of each ACL Proxy* group.
          (838b3eb5)

2024-03-20 Daniel Teichmann

        * conf/squid/snippets.d/2?_squid_acls.{org, local}_d-e-r.conf:
          Disable ProxyWhitelistURL and ProxyAllowURL. (a01100c6)

2024-03-21 Daniel Teichmann

        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          Add missing ProxyDeny{URL,Site,SiteIP,SiteRegex}.
          (ae5c1317)

2024-03-20 Daniel Teichmann

        * conf/squid/snippets.d/??_squid_*: Refactor snippet files. Improve
          comments, make sequence uniform between ldap, local and
          org files. (4996d725)
        * conf/squid/snippets.d/2?_squid_acls.{org, local}_d-e-r.conf: Handle
          Proxy{Whiteliste, Allow}Site* as ProxyKeepcertSite*
          websites. (43aae8a7)
        * conf/squid/snippets.d/23_squid_acls.org_d-e-r.conf: Prepare
          organisational-managed trustworthy IPs. They should always
          be allowed to directly access the internet. (4ae595f3)
        * d-e-r-p.{l-c, c-f\: Add ProxyTrustedClient + ProxyTrustedClientIP
          lists for ldap, org and local. (3708ee8b)
        * docs/squid_ACLs_flowchart.{svg, drawio}: Update flowchart, iron out
          kinks. (06d0cd98)
        * docs/squid_ACLs_flowchart.drawio: Add original project file of
          squid_ACLs_flowchart.svg. (4acba2b1)

2024-03-19 Daniel Teichmann

        * conf/squid/snippets.d/2*_squid_acls.*_d-e-r.conf: Reference doc
          file. (c5142770)
        * docs/webcache.md.in: Install documentation files to
          /usr/share/doc/debian-edu-router-plugin.content-filter/.
          (9f156a0b)
        * docs/squid_ACLs_transparent_mode.md: Install documentation files to
          /usr/share/doc/debian-edu-router-plugin.content-filter/.
          (9ddd9522)
        * docs/squid_ACLs_{flowchart.svg, explained.md.in}: Install
          documentation files to
          /usr/share/doc/debian-edu-router-plugin.content-filter/.
          (5bcd9b3f)

2024-03-20 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst: Adjust
          comments in icap configuration. (8fd4274e)

2024-03-15 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Squid while creating '20_ICAP-e2guardian...'
          file, also change 'bypass=0' to 'bypass=$is_optional' in
          req channel. (792eaa55)

2024-03-14 Daniel Teichmann

        * debian/d-e-r-p.c-f.postinst: Squid only use ICAP in [Blacklist
          mode]. (5c218f5f)
        * Fix various smaller typos. (d02f382a)
        * conf/squid/snippets.d/01_squid_base_d-e-r.conf: Fix bug where Squid
          would not use custom cache_dir. (219417f0)
        * debian/debian-edu-router-config.postinst: Add missing '#' while
          generating dnsmasq config file. (19cb764a)

2024-03-13 Mike Gabriel

        * conf/apache2/wpad.dat.in: Use DIRECT connects for URL hosts being
          in network 127./8 and for hosts being in the .local
          domain. (cf9eda55)

2024-03-06 Daniel Teichmann

        * d-e-r-p.c-f: Rollout wpad.dat via Apache2. (13f20916)

2024-03-07 Daniel Teichmann

        * d-e-r-p.c-f.install: Fix typo. (1404b242)

2024-03-05 Daniel Teichmann

        * d-e-r-p.c-f: Add squid_acl_watcher_d-e-r.{service, path} which
          restarts Squid if filterlists were edited.
          (62057261)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/101

        * d-e-r-p.c-f: Add file
          /etc/debian-edu-router/squid.d/dns_nameservers_d-e-r.conf.
          (06f128dd)
        * d-e-r-p.c-f Squid: Move der_nets + Introduce gatewayDOM and
          gatewayIP ACLs in
          /etc/debian-edu-router/squid-snippets.d/20_squid_acls_d-e-r.conf.
          (15ba8d6c)
        * d-e-r-p.c-f: Allow access to Apache2 on gateway, when using Squid
          transparent proxy mode in
          conf/squid/squid-base_d-e-r.conf. (6dfbef2c)

2024-03-04 Daniel Teichmann

        * d-e-r-p.c-f.postinst: Copy Squid's error page templates for
          e2guardian. (1bc3c2a0)
        *  d-e-r-p.f.preinst: Check if /etc/debian-edu-router/* symlinks are
          actually symlinks. (a3229c8c)
        * d-e-r-p.c-f: Fix e2guardian symlink '/etc/e2guardian/' ->
          '/etc/e2guardian/debian-edu-router-plugin.content-filter/'.
          (ee1d843b)
        * d-e-r-p.c-f: Introduce CSS file for Squid and e2guardian error
          pages. (908308ff)
        * d-e-r-p.c-f: Introduce symlink
          /etc/debian-edu-router/squid-snippets.d. (7433dd49)

2024-03-07 Daniel Teichmann

        * conf/e2guardian/*: Trim trailing whitespace. (577ee463)
        * debian/debian-edu-router-plugin.content-filter.install: Reorganize
          file. (7134e97f)

2024-02-22 Daniel Teichmann

        * d-e-r-p.c-f: Add missing e2guardian.conf.in and e2guardianf1.conf.
          (eca5d6b5)

2024-03-04 Daniel Teichmann

        * conf/systemd/dnsmasq_d-e-r@.service: Fix issue where dnsmasq
          services wouldn't start after reboot. (aaba064b)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/96

2024-03-05 Daniel Teichmann

        * d-e-r-c.postinst: Do not say 'DNS/DHCP service'	, if DHCP is
          disabled. Instead show 'DNS service'. (be8f9a67)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/108

2024-03-06 Mike Gabriel

        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          fix spelling in comment (e88219c3)

2024-03-06 Daniel Teichmann

        * d-e-r-p.c-f.postinst: [Allow mode] do not do deep content
          introspection. Instead splice connections. (d5ee0cf3)

2024-03-04 Daniel Teichmann

        * conf/squid/snippets.d/23_squid_acls.org_d-e-r.conf: Fix
          'dst_regex' to 'dstdom_regex' for Proxy*SiteRegex.
          (94c1f79a)

2024-02-22 Daniel Teichmann

        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          Completely rewrite Squid ACLs system. Implement internet
          access modes now. (3a854406)
        * Make sure files end on newline. (31b8bac3)
        * conf/squid/snippets.d/50_squid_allow-rules.users_d-e-r.conf.in:
          Disable ProxyBlacklist stuff. (4fde6658)
        * Add Proxy{White,Black}URL,SiteRegex, SiteIP}.{local,org}.
          (bc6b54fa)
        * conf/squid/snippets.d/22_squid_acls.local_d-e-r.conf: Replace
          'srcdomain' with 'src' for Proxy{White,Black}listClientIP.
          (b6323cc1)
        * debian/d-e-r-p.c-f.postinst: Move ICAP and SSL bumping stuff into
          own config files. (96f21973)
        * debian/d-e-r-p.c-f.postinst: Activate debug_options for Squid ACLs,
          if in developer mode. (39a3fdfc)
        * debian/d-e-r-p.c-f.postinst: Fix bug by flipping '-z' to '-n'.
          (1792dc23)

2024-02-21 Daniel Teichmann

        * conf/systemd/squid_d-e-r@.service: Add/improve comments about
          e2guardian_d-e-r.service. (a68f631c)
        * debian/d-e-r-p.c-f.postinst: Do not let Squid bypass e2guardian.
          (0558c4f4)

2024-02-19 Daniel Teichmann

        * debian/d-e-r-p.c-f.preinst: Make sure directories exits. (f83cd496)

2024-02-14 Daniel Teichmann

        * debian/d-e-r-p.c-f.postinst: Implement basic ICAP integration for
          Squid with e2guardian. (824f0c64)
        * debian/d-e-r-p.c-f.postinst: Deduplicate service restarting code.
          (3e692d44)

2024-02-07 Daniel Teichmann

        * d-e-r-p.c-f: Add e2guardian_d-e-r.service. (345a2fc4)

2024-02-13 Daniel Teichmann

        * debian/d-e-r-p.c-f.postrm: Fix using non-available 'debug_log' (use
          echo instead). (061db946)
        * debian/d-e-r-c.postinst: Fix issue where aborting an upgrade would
          make postinst fail completely. (fe78cfc3)
        * debian/d-e-r-c.config: Fix "Uplink, " being shown in SSH-question.
          (afe1746c)
        * debian/d-e-r-c.config: Prevent questions to get asked twice if
          d-e-r-common is already installed. (43e42485)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/104

        * conf/systemd/squid_d-e-r@.service: Fix missing '-f'-flag in
          'ExecStartPre'. (28b5bf0d)
        * debian/d-e-r-c.config: Fix issue where step-by-step setup would be
          stuck in a loop. (de8610f0)
          Fixes: #99

2024-02-14 Daniel Teichmann

        * Makefile.iso: Support debian-edu-router-fai-l10n package.
          (cb8cdb70)

2024-02-02 Daniel Teichmann

        * debian/d-e-r-p.c-f.postinst: Adapt handling old networks code from
          dnsmasq_d-e-r.target for squid_d-e-r.target. (64758371)

2024-02-12 Daniel Teichmann

        * debian/d-e-r-c.preinst: Fix FAI install by moving 'mkdir' before
          trying to write files into /etc/debian-edu-router...
          (76fdfd45)

2024-02-09 Daniel Teichmann

        * Temporarily enable ITZkS apt sources for NFSROOT (in which the ISOs
          are build). (5eecdfeb)

2024-02-07 Daniel Teichmann

        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Add
          Squid's debian-edu-router.conf (PROXY class). (92675685)
        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Sort
          file alphabetically. (9931daeb)

2024-01-29 Daniel Teichmann

        * conf/squid/snippets.d/01_squid_base_d-e-r.conf: Remove old
          http_access localnet rule. (c368ed5c)
        * Move fai-configured /etc/squid/conf.d/debian-edu-router.conf to
          snippets dir + Let it be managed by Debian Edu Router -
          Plugin: Content Filter. (184d3fd2)

2024-02-01 Daniel Teichmann

        * debian/po/de.po: Fix typo: s/WiF-Gäste/WiFi-Gäste/g. (945e1bec)

2024-01-30 Daniel Teichmann

        * debian/po/de.po: Fix typo s/Internetzugrang/Internetzugang/g.
          (5142f74a)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/95

        * Amend missing line to previous commit
          46b494e9f2c16e1c7e02966bfa22cde99685f5ba. (ad737aef)

2024-01-29 Daniel Teichmann

        * debian/d-e-r-c.config: Move SSH port dialog from service section
          further up (to align better with the first SSH question).
          Closes: #71 (a172bb66)
        * debian/d-e-r-p.*.postinst: Unify code style (configure_package).
          (46b494e9)
        * debian/debian-edu-router-config.postinst: Silence 2nd attempt of
          'networking' start. (61337a3b)

2024-01-26 Daniel Teichmann

        * Makefile.debug: Add targets 'noplugins' and 'build_wrapper'.
          (1557c868)
        * debian/d-e-r-p.c-f.postinst: Add debug ACLs to Squid config if
          D_E_R_DEBUG is set. + Extend added debug ACLs. (6100fa28)
        * conf/squid/snippets.d/*: Restructure file, rewrite comments, etc...
          (4f479060)
        * d-e-r-p.c-f Squid: Add Proxy{Allow,Deny}SiteIP +
          ProxyKeepcertSiteIP ACLs. (be6fe464)

2024-01-20 Daniel Teichmann

        * debian/debian-edu-router-plugin.content-filter.postinst: Squid: Add
          commented debug ACL lines. (71873cbd)
        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          Change order of ACL lines. (6c7d73cc)

2024-01-17 Daniel Teichmann

        *
          conf/squid/snippets.d/40_squid_allow-rules.clients+sites_d-e-r.conf.in:
          Update comment in file. (67d3ac32)
        * debian/debian-edu-router-plugin.content-filter.postinst: Fix typo.
          (5771229d)
        * debian/d-e-r-p.c-f: Add missing '>> "${uif_cfg_file}' in "echo
          ...". (bbc714cd)
        * fai/config/files/etc/hosts/GATEWAY: Fix d-e-r-p.c-f apache2
          (ssl-cert) snake oil certificates by adjusting /etc/hosts
          file. (0a411066)
        * debian/d-e-r-p.c-f.postinst: Squid improve (fix?) SSL Bumping
          configuration. (4203b53d)
        * debian/d-e-r-p.c-f.postinst,
          conf/squid/snippets.d/23_squid_acls.org_d-e-r.conf: Add
          new Squid organization ACLs. (017485d7)
        * debian/d-e-r-p.c-f.{links, postinst},
          conf/squid/snippets.d/22_squid_acls.local_d-e-r.conf: Add
          new Squid local ACLs. (01cc3ab0)
        * conf/squid/{snippets.d/*, squid-base_d-e-r.conf}:
          Reorganize/refactor files. (Does not introduce logic
          changes.) (004e1760)
        * debian/d-e-r-p.c-f.postinst: Fix whitespace of echo statements of
          uif_cfg_file generation. (50ecc998)
        * debian/d-e-r-p.c-f.postinst: Fix whitespace of echo statements of
          squid_cfg_file generation. (f1a7cffb)
        * debian/d-e-r-c.preinst: Fix bug where
          /etc/debian-edu-router/MANAGED_BY_DEBIAN_EDU_ROUTER file
          wasn't created yet. (531d1690)
        * debian/d-e-r-c.config: Bailout if
          debian-edu-router-config/net-ext-address-v4-uplink
          couldn't be answered. (dd0f2a98)
        * conf/squid/squid-base_d-e-r.conf: Reorganize file. Introduce
          der_nets (instead of localnet). (e4d14789)

2024-01-12 Daniel Teichmann

        * debian/d-e-r-c.postinst: Take care of old existing Uplink interface
          definition. (b45111fa)
        * debian/d-e-r-c.config: Add logic to ask for and handle
          debian-edu-router-config/adopt-manual-uplink-settings.
          (39c7bc98)
        * debian/control: Depends: Add netcat-openbsd. (7ddcc123)
        * debian/d-e-r-c.config: Fix issue where /etc/network/interfaces does
          not exist in get_non_d_e_r_ifaces(). (6b25607a)
        * debian/d-e-r.common: Add function has_internet_connection().
          (97680723)

2024-01-10 Daniel Teichmann

        * debian/d-e-r-c.templates: Add
          debian-edu-router-config/adopt-manual-uplink-settings.
          (49dfe6c5)
        * debian/d-e-r.common: Add unique_comma_seperated_items() which
          creates a set of (comma separated) items. (ea2672ef)

2023-11-09 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst: More curly
          braces for variables. (98b7ee8e)

2023-11-13 Mike Gabriel

        * Squid SSL-bumping (as transparent proxy): Follow-up commit for
          0ed184e9105fd2497e5fdc27838efc673228c4ee (which was
          incomplete). (0f5a452e)

2024-01-17 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.templates: Drop
          duplicate parent-proxy debconf template block. (35229ebc)

2023-11-09 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.install: White-space
          beautification. (35aeaa22)
        * d-e-r-p.content-filter: Make SSL-MitM CA-certificate files
          available via Apache2 URL. (3f42f7db)

2024-01-16 Daniel Teichmann

        * debian/d-e-r-p.c-f.{postinst, postrm}: Append '.conf' to Squid conf
          file selector ??_d-e-r-p.c-f_* (9e34e562)
        * debian/d-e-r-p.c-f.{postinst, postrm}: Backup non-needed
          /etc/squid/conf.d/debian.conf.backup. (adfc8763)

2024-01-12 Daniel Teichmann

        * debian/d-e-r-c.postinst: Change one message from debug_log to
          warning_log. (fe3b7e75)

2023-12-20 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Move restore command
          further down. (8d87da6a)
        * Makefile.debug: Add 'build+upload' target. (c2f3e036)
        * debian/debian-edu-router-config.postinst: Silence restarting
          networking at first try. (163e378f)
        * debian/d-e-r-c.postinst: Starting networking failed: Try flushing
          addresses before restoring old config. (dabd751e)
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/90

        * Makefile.debug: Make destination_dir (for debs at debug server)
          configurable. (5563a45f)
        * debian/d-e-r.common: Enforce debug msgs if
          /etc/debian-edu-router/debug was found. (ad0a5992)
        * Makefile.debug: prepare_debugging_server: Touch
          /etc/debian-edu-router/debug. (d6040048)

2023-12-20 Mike Gabriel

        * d-e-r-p.content-filter: Introduce ProxyDeny* ACLs (esp. for easier
          / more direct testing). (8b8e3e07)
        * squid: Process AllowClient-like rules before Allow{Site,URL} rules.
          (748db315)

2023-12-14 Daniel Teichmann

        * d-e-r-c.preinst: Check if /etc/debian-edu-router/* symlinks are
          actually symlinks. (4fc91921)
          Fixes: #92

        * d-e-r-config.preinst: Add
          '/etc/debian-edu-router/MANAGED_BY_DEBIAN_EDU_ROUTER'
          file. (94a2951a)
        * d-e-r-{c, p.c-f}.preinst: Fix sh-shebang to bash-shebang.
          (f98f4b01)

2023-12-18 Daniel Teichmann

        * bin/d-e-r-loginmenu.sh: Reload plugins right before showing list of
          them. (9537dd2d)
          Fixes: #88

        * Makefile.debug: Add support for ldap-connector plugin. (c6d27728)
        * debian/d-e-r-c.config: Fix typo 'mgnt' -> 'mgmt'. (66dfc176)
          Fixes:
          #91

2023-12-05 Daniel Teichmann

        * debian/d-e-r-p-c.f.postinst: Improve firewall configuration
          comments. (a59b1b3d)
        * Makefile.debug: Add support for debian-edu-router-common package.
          (87a6bd1e)

2023-11-13 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst:
          Re-configure squid configuration between
          squid_d-e-r.target stop and start. (23ed0a75)
        * filterlists: Rename/clean-up ProxyTabletPCs/ProxyTablet. (df4a9631)
        * filterlists: Drop ProxyBlacklistLocalClient, add
          ProxyBlacklistClientIP and ProxyWhitelistClientIP.
          (834434e5)
        * filterlists: Rename ProxyAllowClientIPs.local to
          ProxyAllowClientIP.local. (c0b553b9)
        * etc/debian-edu-router/filterlists.d: Don't symlink filterlists to
          /etc/ that should be uneditable by the site-admin.
          (cd0ffb4c)
        * debian/debian-edu-router-plugin.content-filter.postinst: Only show
          warning on unblocked networks if SSL bumping is enabled.
          (7fdd12fb)

2023-11-09 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst: Don't
          choke on systemctl reset-failed call for old proxy
          services. This aborted the postinst script in cases where
          the to-be-reset service was not running/enabled.
          (7c43b307)
        * debian/debian-edu-router-plugin.content-filter.postrm: Purge .local
          and .org filterlists when purging the package. (a5084133)
        * conf/squid/snippets.d/: Re-arrange some ACL definitions. (bd05e0eb)
        *
          {debian/debian-edu-router-plugin.content-filter.postinst,conf/squid/snippets.d/23_squid_acls.org_d-e-r.conf}:
          Add ACL files to be maintained by the organization (vs.
          site-admin). (1882d1fc)
        * debian/debian-edu-router-plugin.content-filter.preinst: User more
          quotes. (2f40ae45)
        * d-e-r-p.content-filter: Configure SSL-Bumping automatically via
          debconf. (4d04d152)

2023-11-01 Mike Gabriel

        * d-e-r-plugin.content-filter: Add menu navigation (skipping unneeded
          dialogs based on previous dialog answers). (95a94f72)
        * d-e-r-p.content-filter: Inject debconf dialog
          'service-httpproxy-enable-sslbumping'. (ec5e2614)
        * d-e-r-p.content-filter: Re-order debconf questions. (f69507a3)
        * d-e-r-p.contenfilter.templates: Rephrase some descriptions once
          more. (1394023c)
        * d-e-r-p.contenfilter.templates: Minor adjustments. (88bdd9f8)
        * d-e-r-p.contenfilter.templates: Rename networks-ssl-mitm to
          service-contentfilter-networks-enabled and add
          service-httpproxy-enable-sslbumping. Rephrase and
          re-arrange descriptions. (5f0c4671)
        * d-e-r-p.contenfilter.templates: Move
          service-httpproxy-networks-with-ssl-bumping further down.
          (def04d51)
        * d-e-r-p.content-filter: Rename debconf option networks-ssl-bumping
          to service-httpproxy-networks-with-ssl-bumping and
          rephrase template text. (c5e5b660)
        * d-e-r-p.content-filter: Rename debconf option
          networks-filter-via-acl to
          service-httpproxy-networks-enabled and rephrase template
          text. (8f8c9b4a)

2023-10-31 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst: Warn if
          site admin configured a content filter on non-blocked
          networks. (6c75cb01)
        * debian/debian-edu-router-plugin.content-filter.config: Allow
          non-blocked networks to run a content filter. (55c82b88)
        * d-e-r-p.content-filter: Support debconf configuration of a
          cache_peer parent proxy. (cce036c0)

2023-11-13 Mike Gabriel

        * Separate port 80 and port 443 forwardings and send them to squid on
          different ports (http_port, https_port). (0ed184e9)

2023-10-31 Mike Gabriel

        * d-e-r-p.content-filter: On networks with no direct internet access,
          set up firewall rule for accessing the squid intercept
          port. (5e5118d7)
        * uif configuration: Provide self_<network> variables containing the
          firewall NIC's IP address for <network>. (a1a54922)
        * d-e-r-p.content-filter: Support debconf configuration of a
          cache_peer parent proxy. (18e4f84c)

2023-11-09 Mike Gabriel

        * debian/debian-edu-router-plugin.ldap-connector.postrm: Clean-up
          filter list when package is purged. (fac050fa)
        * debian/debian-edu-router-plugin.ldap-connector.dirs: Fix wrong path
          for filterlists.d/. (fb6aa813)

2023-10-31 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.templates: grammar
          fix (9175204b)
        * debian/debian-edu-router-plugin.content-filter.templates: Improve
          description of
          debian-edu-router-plugin.content-filter/proxy-port-exposed-to-clients.
          (ca1c4b6e)
        * debian/debian-edu-router-config.postinst: Minor white-space fix.
          (9632056f)
        * debian/debian-edu-router-plugin.content-filter.postinst: Drop
          icp_port variable. Not needed anymore. (Follow-up for
          8d680ed7). (010e7ecd)

2023-10-30 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst: Don't
          define/enable ICP port / protocol. Only useful with
          sibling caches around on differing hosts. (8d680ed7)
        * debian/*-plugin.*.triggers: Explicitly use -noawait triggers.
          (0e44f4b9)
        * Revert "debian/*.triggers: Explicitly use -await triggers."
          (23629214)
        * d-e-r-p.ldap-connector: Add extra submenu to toggle LDAP/AD
          connector on/off. (a3fa753d)
        * debian/debian-edu-router-plugin.ldap-connector.config: Implement
          CONFIGURE_ONLY options 'SERVER' and 'MAPPINGS' (not
          available, yet, still todo). (0124314d)
        * conf/debian-edu-router-plugins/d-e-r-p.*.sh: All of our dpkg
          .config script expect CONFIGURE_ONLY values to be in
          upper-case. (3713f8ed)

2023-10-15 Mike Gabriel

        * debian-edu-router-loginmenu: Drop unused code. (15b666c5)

2023-10-30 Mike Gabriel

        * conf/debian-edu-router-plugins/d-e-r-p.example.sh: Fix submenu
          example, all submenu items need to be listed in
          PLUGIN_CONF_SUBMENU_ITEMS. (86444c72)
        * conf/debian-edu-router-plugins/d-e-r-p.example.sh: Don't confuse
          mc's syntax highlighter. (da4c84a6)

2023-10-15 Mike Gabriel

        * debian-edu-router-loginmenu: Re-work how submenus are displayed and
          how their actions are executed. (b228139c)

2023-10-30 Mike Gabriel

        * conf/squid/conf.d/shutdown-lifetime_d-e-r.conf: Don't comment out
          shutdown_lifetime. We want it to be of a low value.
          (0a92b82d)

2023-10-16 Daniel Teichmann

        * Makefile.debug: Drop rsyslog from prepare_debug_server target.
          (5f3a8599)

2023-10-16 Mike Gabriel

        * fai/config/package_config/DEBIAN: Make sure rsyslog is installed.
          (4dcb118c)

2023-10-15 Mike Gabriel

        * po/: Update translation files, immediately update German
          translation. (251fa91c)
        * Make PRODUCTNAME partially localizable, rework how the PRODUCTNAME
          is printed on screen in plugins. (b1861706)

2023-10-16 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.postinst:
          White-space only change. (c9981a94)
        * conf/squid/conf.d/: Prepare configurable language defaults for
          squid error messages. (b385f882)
        * squid/conf.d/ Add some tuning parameters from Skolerouter.
          (61b29fba)
        * debian/debian-edu-router-plugin.content-filter.postinst: Use more
          curly braces in variables. (0cef2275)
        * content-filter plugin: Port some Skolerouter squid snippets over to
          d-e-r. (9b7d7aa7)

2023-10-15 Mike Gabriel

        * content-filter plugin: Calculate cache_dir sizes on storage.
          (1ed5ede5)
        * debian/debian-edu-router-plugin.content-filter.postinst: Use more
          curly braces in variables. (4fee79d8)
        * content-filter plugin: Generate various (mostly empty) filterlists
          on plugin installation. (1e641b9f)
        * debian/debian-edu-router-plugin.content-filter.config: Fix menu
          navigation for CONFIGURE_ONLY = NOT_IMPLENTED. (b83601bf)
        * content-filter plugin: Configure transparent http_port and icp_port
          based on http_port. (57159677)
        * debian/control: Add to R (content-filter): squid-langpack.
          (618ca780)

2023-10-16 Mike Gabriel

        * debian/debian-edu-router-plugin.mdns-reflector.config: Set
          appropriate db_title. (4c974ad5)
        * debian/debian-edu-router-plugin.mdns-reflector.{config,postinst}:
          Move message about not configuring mDNS reflector due to
          too few network interfaces over to .postinst script.
          (a6da0735)

2023-10-15 Mike Gabriel

        * debian/debian-edu-router-config.config: Sync available internal
          networks over to firewall-allow policied networks.
          (c7a6b087)
        * debian/: Don't use ellipsis, dpkg doesn't do it either (and it
          looks weird to mix ellipsis and '...'. (ba4d111f)
        * Introduce new plugin: D-E-R Plugin LDAP/AD Connector. (2db60cfa)

2023-10-16 Daniel Teichmann

        * po/: Add translation files for new ldap-connector plugin.
          (f21a6dd3)

2023-10-15 Mike Gabriel

        * debian/d-e-r-common.sh: Use more curly braces in variables.
          (79ea99e2)
        * debian/d-e-r-common.sh: Add get_internal_networks_v6(). (5c2e4ffd)
        * debian/<scripts>: Rename get_internal_networks() to
          get_internal_networks_v4() (as that's what it does).
          (ce2edce8)
        * debian/<scripts>: Move more commonly useful code over to
          d-e-r-common.sh include script. (7ec3bcbe)
        * debian/control: Assure that d-e-r plugins and d-e-r-config are of
          the same version. (288f44b8)
        * debian/: Move d-e-r-common.sh script into its own bin:pkg (as we
          need the functions already in .config scripts). Also let
          other d-e-r bin:pkgs pre-depend on d-e-r-common bin:pkg.
          (36ddaf2c)

2023-10-12 Mike Gabriel

        * conf/squid/conf.d/shutdown-lifetime_d-e-r.conf: Mark in the
          filename that this file belongs to d-e-r. (68f93625)

2023-10-15 Mike Gabriel

        * debian/*.postinst: Fix copy+paste flaw." (0cb9f283)
        * debian/control: Trailing comma in last B-D field's line. (35a40fd5)

2023-10-11 Mike Gabriel

        * squid: Add our own squid-base_d-e-r.conf file as we cannot use
          squid's default squid.conf for our purposes. (2cb42c9c)
        * squid shutdown_lifetime: Add commented out config snippet to reduce
          stop/restart time of squid. (88722887)
        * debian/debian-edu-router-plugin.content-filter.dirs: Add file.
          Assure that our config directory exists. (fdab9158)
        * d-e-r-p.content-filter: Make exposed proxy port configurable via
          debconf. (7f9a1adb)
        * fai/config/package_config/PROXY: Use squid-openssl right-away. Add
          debian-edu-router-plugin.content-filter to list of
          to-be-installed packages. (4e5416e7)

2023-10-11 Daniel Teichmann

        * debian/d-e-r-p.m.r.postinst: Require at least 2 interfaces
          configured (not only one). (3e91942e)
        * d-e-r-loginmenu.sh: Stay consistent with unicode triple-dots (…)
          and normal ones (...). (d603c3d9)

2023-10-11 Mike Gabriel

        * bin/debian-edu-router-loginmenu.sh: Fix displaying the
          selected-for-configuring plugin name. (e2e47f87)
        * fai/config/package/GATEWAY: Add EOL at EOF. (7cf4b4e7)
        * fai/config: Add some useful utilities to the FAI installation of
          Debian Edu Router. (f22f6b3d)
        * fai/config: Factor out MDNS_REFLECTOR as its own class. (b7099f60)

2023-10-10 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Fix indentation of
          multi-line warning_log message text. (2c0850c4)
        * debian/debian-edu-router-config.postinst: Silence false-positive
          port-usage sanity check when setting up rev-NAT
          forwardings. (24205042)
          Fixes: #84

        * debian/control: Line-wrap S: field (d-e-r-config). (7cd982be)
        * debian/control: Add to R: (d-e-r-config): gpm. (7ba2f7f6)
        * debian/control: Sort package names in D:/R: fields. (c58096fb)
        * debian/debian-edu-router-config.postinst: Don't stop/start
          networking if network setup is to be skipped. Speed
          improvement during pkg reconfiguring. (531067c0)

2023-10-10 Daniel Teichmann

        * debian/d-e-r-p.m-r.config: Whitespace fixes only. (54b9a9df)

2023-10-09 Mike Gabriel

        * po/: Update German translation. (ae73611e)
        * po/: Update translation files. (78e8401e)
        * bin/debian-edu-router-loginmenu.sh: Allow for readability of plugin
          config/postinst output. (f8d8f1d5)
        * bin/debian-edu-router-loginmenu: Move plugins configuration into
          their own submenu. (e1faf8eb)
        * bin/debian-edu-router-loginmenu: No break after exit. (0144f6f5)
        * d/d-e-r-p.mdns-reflector.postinst: Do simply nothing, if we don't
          have enough networks configured. (793c4c42)
        * conf/debian-edu/router.conf.d/10_debian-edu-router-config: Add
          warning about EOL required. (4db0a590)
        * debian/debian-edu-router-plugin.mdns-reflector.postinst: Regression
          fix for c43d32f1fe906f892f803ded8b6b947c56acef9d.
          (32890609)
        * conf/debian-edu/router.conf.d/10_debian-edu-router-config: Add
          missing EOL. Ominously fixes rendering problems in the
          login menu. (c1d437c5)
        * po/: Update German translations. (02be7d48)
        * po/: Update translation files. (9f1521f5)
        * debian/po/: Update German debconf translation. (fee755e0)
        * debian/po/: Update debconf translation files. (d6afa5ad)
        * debian/: Refactor how .po files get generated into .mo files and
          how they get installed into the bin:pkgs. (9a6d9209)
        * debian/: Split-out translation files of debian-edu-router-fai into
          its own bin:pkg. (32dedba9)
          Fixes: #3

        * Make FAI installer localizable. (51128df8)

2023-10-08 Mike Gabriel

        * debian/d-e-r-config.postinst: Fix dnsmasq_d-e-r target/service
          handling when pkg gets installed in an environment where
          systemd is not running. (c43d32f1)
        * fai/config/scripts/GRUB_*/10-setup: Don't set
          GRUB_DISABLE_OS_PROBER=true. There should not be any other
          OS on a firewall host. (7d94108d)
        * etckeeper/git: Stop complaining about 'master' being the default
          branch, enforce 'main' system-wide. (a5dce9f3)
        * bin/debian-edu-fai_install: Adopt file permissions from .in files
          in FAI config space template. (13c002fe)
        * conf/debian-edu/debian-edu-router-fai.conf: Update comment,
          recommend leaving fai_logserver and fai_loguser
          unconfigured. (f63a58d3)
        * debian/debian-edu-router-plugin.mdns-reflector.config: White-space
          fix. (27c2d052)

2023-10-07 Mike Gabriel

        * debian/debian-edu-router-plugin.content-filter.templates: Shorten
          debian-edu-router-plugin.content-filter/warning-networks-internet-allowed
          slightly. (b1e18020)
        * debian/control: Don't have empty package relation fields. Thanks,
          lintian. (ad004d88)
        * debian/control: Pre-depend on debconf. (11a33637)
        * debian/control: White-space fix. (8631d5bb)
        * debian/<scripts>: Set x-bits on all packaging scripts. (d17347f6)
        * debian/*.triggers: Explicitly use -await triggers. (21553a6a)
        * debian/*.postrm: We use bashism, so let's use bash in shebang.
          (3be6849f)
        * lintian: Introduce more overrides where appropriate. (4274a1ac)

2023-10-06 Mike Gabriel

        * debian/copyright: Update copyright attributions. (529ed247)
        * debian/copyright: Update auto-generated copyright.in file.
          (cc041465)

2023-10-06 Daniel Teichmann

        * debian/d-e-r-{plugin.content-filter, config}.postrm: After
          uninstall, unmask dnsmasq and squid services again.
          (613f5de9)
          Fixes: #83

2023-09-18 Daniel Teichmann

        * Refactor whitespaces + Improve comments/debug messages + Add
          newlines at EOF. (991e9c48)

2023-10-02 Daniel Teichmann

        * debian/d-e-r-c.postinst: Silence systemctl calls for dnsmasq_d-e-r.
          (89052601)

2023-09-19 Daniel Teichmann

        * debian/d-e-r-c.preinst: Add preinst and make sure that needed
          directories are created. (69e543d1)

2023-09-18 Daniel Teichmann

        * debian/d-e-r-c.postinst: Use custom systemd service for dnsmasq.
          (639631f3)
          Fixes: #78
          Fixes: #74

        * debian/d-e-r.c.install, conf/systemd/dnsmasq_d-e-r{.target,
          @.service}: Add dnsmasq systemd service files. (b16fedb4)
        * debian/d-e-r-c.{postinst, links}: New symlink target
          '/etc/debian-edu-router/dnsmasq.d/' ->
          '/etc/dnsmasq.d/debian-edu-router/'. (43c0299b)

2023-08-09 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Use symlinks in
          /etc/debian-edu-router/ for uif config generation.
          debian/debian-edu-router-config.links: Add uif
          uif-ipv4-networks.inc.d + uif-ipv6-networks.inc.d
          symlinks. (ee189d12)
        * debian/debian-edu-router-config.postinst: Use symlink
          /etc/debian-edu-router/interfaces.d for network iface
          config generation. (0a8b8ec0)
        * debian/debian-edu-router-config.postinst: Use symlink
          /etc/debian-edu-router/ssh.d for sshd config generation.
          (c8afcae7)
        * debian/control: Move dnsmasq from Recommends: to Depends:.
          (2096984f)
        * debian/debian-edu-router-config.postinst: Use symlink
          /etc/debian-edu-router/dnsmasq.d for dnsmasq config
          generation. (cc424c5d)

2023-10-04 Daniel Teichmann

        * debian/control: Add openssh-{client, server} as dependencies.
          (c393d1ea)

2023-10-03 Daniel Teichmann

        * Makefile.debug: Add default value for control_socket. (5b1c40b5)
        * bin/debian-edu-router-fai_updateconfigspace: Fix quoting typo in
          git command. (84405802)

2023-08-08 Daniel Teichmann

        * debian/debian-edu-router-plugin.mdns-reflector.config: Replace
          warning with notice log for not-enough-interfaces message.
          (ab438f0d)
        * debian/debian-edu-router.common: Add notice_log(). (92669630)

2023-08-07 Daniel Teichmann

        * .gitignore: Add .vscode directory. (c297ab7e)

2023-09-18 Daniel Teichmann

        * Makefile.debug: Add *.upload to clean target. (0aa6aac1)

2023-09-13 Daniel Teichmann

        * Makefile.debug: Add 'rsync', 'etckeeper' and 'nmap' to
          prepare_debugging_server target. (322f6c33)
        * Makefile.debug: Split target for uploading/installing plugins from
          d-e-r-c. (935436ad)

2023-08-04 Daniel Teichmann

        * Makefile.debug: Replace syslog-ng with rsyslog. (ef3f9051)

2023-08-22 Daniel Teichmann

        * debian/d-e-r-c.postinst: Only generate UIF filter rules for SSH if
          'Uplink' interface is defined. (7e575478)

2023-09-14 Mike Gabriel

        * bin/debian-edu-router-fai_updateconfigspace: More reliably detect
          if we are in a Git working copy. (f996a911)

2023-06-08 Daniel Teichmann

        * debian/d-e-r-p.c-f.preinst: Make sure log directories are
          writeable. (cccaa05f)
        * debian/d-e-r-{c, p.{c-f, m-r}}.links: Add file which creates
          symlinks to important services at
          '/etc/debian-edu-router/'. (0b96fbce)

2023-09-11 Daniel Teichmann

        * Move /usr/share/debian-edu-router.common to
          /usr/share/debian-edu-router/debian-edu-router.common.
          (e524cdc9)
        * conf/{debian-edu-router-plugins/d-e-r-p.*.sh, systemd/squid*}: Add
          newlines at EOF. (90a6d39b)

2023-09-11 Mike Gabriel

        * lintian: Adjust file lines in overrides. (9ff2e07b)
        * d/changelog: weave-in release 2.12.8 (6d52656d)
        * debian/po: Add nl.po. Thanks to Frans Spiesschaert. (Closes:
          #1041874). (d608e786)
        * debian/po: Add sv.po. Thanks to Peter Kvillegård. (Closes:
          #1049959). (239813cc)
        * Adjust script name in README and print output (d-e-r-faiinstall ->
          d-e-r-fai_install). (bb4b57f0)

2023-06-07 Daniel Teichmann

        * debian/d-e-r-p.c-f.postinst: Move squid log directory to
          '/var/log/debian-edu-router/squid/'. (d48d49fc)
        * debian/d-e-r-p.m-r.postinst: Fix bug where checking if network is
          supported was off. (b2139c2d)
        * debian/d-e-r-p.c-f.postinst: Generate uif config files. (10e03a38)
        * debian/d-e-r-p.c-f.postinst: Generate uif +
          squid_d-e-r@<internal-network> config files. (ddce8da3)
        * debian/d-e-r-p.c-f.{config, postinst}: Add PRODUCTNAME variable.
          (32dc0208)
        * debian/d-e-r-p.c-f.config: Ask basic debconf questions. (34bb2ae0)
        * debian/d-e-r-p.c-f.templates: Add drafts for debconf questions.
          (33cbac6c)
        * debian/d-e-r-c.templates: Inform users about direct internet access
          and its correlation with the content filter. (97ed6bcb)
        * debian/d-e-r-p.c-f.postrm: Add postrm script. (8adf3b1e)

2023-06-06 Daniel Teichmann

        * conf/systemd/squid_d-e-r{.target, @.service}: Add 'Conflicts='
          statement for default squid service. (272cee30)

2023-05-30 Daniel Teichmann

        * debian/d-e-r-p.c-f.{postinst, triggers}: Configure package if
          'debian-edu-router-reconfigured' trigger was activated.
          (4c489233)

2023-05-15 Daniel Teichmann

        * debian/d-e-r-p.c-f.postinst: Add basic Squid config generation for
          each internal network. (fd9cb01d)

2023-05-12 Daniel Teichmann

        * d-e-r-p.c-f: Add systemd service template and master target for
          Squid sub instances. (6e3bfcd7)

2023-05-09 Daniel Teichmann

        * d-e-r-p.c-f: Make content filter plugin metadata translatable.
          (b2767989)
        * d-e-r-p.c-f: Add content-filter metadata file. (34f55cb1)

2023-04-19 Daniel Teichmann

        * debian/d-e-r-p.c-f.{postinst, config, templates, control}: Add
          content filter plugin basic structure.
          Fixes:
          https://salsa.debian.org/debian-edu/debian-edu-router/-/issues/21
          (02027da6)
        * Makefile.debug: Add debian-edu-router-plugin.content-filter.
          (2f581a77)

2023-06-01 Daniel Teichmann

        * debian/d-e-r-p.m-r.postinst: Use PRODUCTNAME variable to generate
          config files. (73f65c86)

2023-05-30 Daniel Teichmann

        * debian/d-e-r-p.m-r.postinst: Remove old unused code. (70779e80)
        * debian/d-e-r-p.m-r.postinst: Also backup uif config files + Make
          sure old config files are removed first. (15f87aa1)
        * debian/d-e-r-p.m-r.config: Display warning message if there are too
          few internal networks configured. (6e1937c4)
        * debian/d-e-r-c.postinst: If 'SKIP_SERVICE_RESTARTS_POSTINST' is
          set, also skip stopping networking service! (210d4273)
        * debian/d-e-r-c.postinst: Remove plugin related config files before
          generating our own. (b006a471)
        * debian/d-e-r-c.postinst: Activate 'debian-edu-router-reconfigured'
          dpkg trigger. + debian/d-e-r-p.m-r.{postinst, triggers}:
          Configure package when aforementioned trigger got
          activated. (21ffaefe)
        * debian/d-e-r-c.config: Fix bug where ifaces of unsupported networks
          would also be filtered. (a365ecab)

2023-05-16 Daniel Teichmann

        * debian/d-e-r.common: Add filter_item() function. (2550cb06)
        * debian/d-e-r.common: Rename 'filter_iface' to
          'filter_debconf_item'. (464c7c0d)

2023-05-15 Daniel Teichmann

        * Rename
          /usr/share/debian-edu-router{-config/debian-edu-router-config.common
          -> .common}. (9c97938e)

2023-05-12 Daniel Teichmann

        * debian/d-e-r-c.common: Add option to not lowercase network names in
          get_internal_networks{_ifaces}. (e9f788e2)

2023-06-06 Daniel Teichmann

        * debian/d-e-r-c.common: Fix get_internal_networks_ifaces() not
          considering VLANs. (95593f5d)

2023-06-06 Mike Gabriel

        * debian/po: Add pt_BR translation. Thanks to Paulo Henrique de Lima
          Santana. (Closes: #1037129). (1aed0b6f)

2023-06-01 Mike Gabriel

        * debian/debian-edu-router-config.templates: Grammar fix. (ffd6a3b0)

2023-05-24 Daniel Teichmann

        * debian/d-e-r-c.config: Reset VLAN iface debconf question if not
          using VLANs. (1a95e898)
        * debian/d-e-r-c.postinst: Fix dnsmasq conf generation for networks
          over VLAN. (81438b01)

2023-05-22 Daniel Teichmann

        * debian/d-e-r-c.config: Delete old code (nic_choices). (f07e5e7e)
        * debian/d-e-r-c.config: Fix step-by-step mode for iface assignment
          of internal networks. (944503a5)
        * debian/d-e-r-c.config: Bailout if interface assignment for VLAN is
          not successfull after 5 tries. (f63746a2)
        * debian/d-e-r-c.config: Allow user to cancel (back up) iface
          assignment. (dda54c02)
        * debian/d-e-r-c.config: Fix iface assignment messsage. (Iface was
          'ok' everytime). (da881048)
        * debian/d-e-r-c.postinst: Show an easy copy&paste-able command to
          restore backed-up configuration after a service restart
          failure. (39ec01b7)
        * debian/d-e-r-c.config: Fix VLAN needed-ifaces calculations and show
          error dialog if too few interfaces are available.
          (e106f323)
        * debian/d-e-r-c.templates: Add
          debian-edu-router-config/warn-not-enough-ifaces-available.
          (1f5837d8)
        * debian/d-e-r-c.common: Fix bug where different shells would produce
          different outputs in compare_comma_separated_items.
          (2dd3007d)

2023-05-17 Daniel Teichmann

        * debian/d-e-r-c.config: Introduce $IFACES_AVAILABLE as a constant
          instead of $nic_choices. (2f1f3bcb)

2023-05-09 Daniel Teichmann

        * Makefile.debug: Use SSH control socket feature to accelerate SSH
          connections. (e6033e42)
        * po/: Update po & template files using ./update-po(t).sh. (4023e37c)
        * d-e-r-p.mdns-reflector.templates: Fix
          'purging-warn-remaining-config' template d-e-r-p.m-r
          prefix. (bc133b5f)
        * d-e-r-p.mdns-reflector: Add plugin metadata file + Necessary files
          for translation. (b9d40b3a)
        * conf/debian-edu-router-plugins/d-e-r-p.example.sh: Add example
          plugin metadata file. (4f59797f)
        * d-e-r-loginmenu: Introduce plugin support. (ff0914ab)

2023-05-04 Daniel Teichmann

        * bin/debian-edu-router-loginmenu.sh: Reorganize (sub)menu item
          variables at the top of the file. (0a438778)

2023-05-15 Mike Gabriel

        * work-in changes of release 2.12.7 (8594fbed)
        * debian/po/de.po: Update German translation. (6004dd6d)
        * debian/po/: Update es.po. Thanks to Camaleón. (Closes: #1035682).
          (d7a91252)

2023-04-26 Mike Gabriel

        * d-e-r-c.postrm: Fix /etc/dnsmasq.d/ path name in comment.
          (2188cfcb)
        * work-in changes of release 2.12.6 (632c312f)
        * debian/debian-edu-router-config.lintian-overrides: Update line
          numbers in some overrides. (b8dd24a1)
        * debian/d-e-r-config.postrm: Purge /etc/dnsmasq.d/ again if probably
          created by us. (d16c7f2f)
        * debian/d-e-r-config.{postinst,postrm}: Assure that
          /etc/ssh/sshd_config.d/ exists when needed, purge it again
          if probably created by us. (b9ddc2c6)
        * debian/po/: Update es.po. Thanks to Camaleón. (Closes: #1034706).
          (25680d7b)

2023-04-09 Mike Gabriel

        * debian/po/: Update translation files. (f7f7a99a)
        * d/changelog: Update changes applied to 2.12.6 release. (9b05eeaa)
        * debian/debian-edu-router-fai.lintian-overrides: Silence
          false-positive lintian reports. (45832b3a)
        * debian/debian-edu-router-config.postinst: Ignore failures of
          update-rc.d when (re-)enabling ssh service. (bde40aa8)
        * debian/debian-edu-router-config.postinst: Silence stdout/stderr of
          update-rc.d. Thanks, lintian. (16b694c4)
        * debian/debian-edu-router-config.lintian-overrides: Update line
          number in recursive-privilege-change override. Add various
          update-rc.d override. (291b48ef)
        * debian/debian-edu-router-config.postinst: Assure enabling of SSH
          service in case it got disabled beforehand. (57a997f4)
        * debian/debian-edu-router-config.postinst: Use update-rc.d instead
          of systemctl for disabling ssh service. (e15babcd)

2023-04-20 Daniel Teichmann

        * debian/d-e-r-p.m-r.config: Fix QCOUNT. (c52eed56)
        * Makefile.debug: Install syslog-ng in prepare_debugging_machine
          target. (78c8dcc4)
        * debian/d-e-r-p.m-r: Only generate mdns-reflector conf files, if we
          actually have networks which use the mDNS reflector.
          (3c36eb0f)
        * debian/d-e-r-p.m-r.{postinst, postrm}: Change conf file suffix from
          'd-e-r' to 'd-e-r-p.m-r'. (c4d89e5e)
        * debian/d-e-r-p.m-r.postrm: Add postrm script, which purges
          generated config files. (9f75773f)
        * debian/d-e-r-p.m-r.templates: Add purging warn dialog for remaining
          config files. (32317830)
        * fai/config/package_config/GATEWAY: Ensure that the mDNS reflector
          service plugin gets installed. (b440611d)
        * debian/d-e-r-c.postinst: Remove remnants of mDNS reflector (It
          moved to own package). (6e41d19a)
        * debian/control: Add 'Suggests' and 'Enhances' fields. (93769b0d)
        * Rename 'debian-edu-router-plugin-mdns-reflector' to
          'debian-edu-router-plugin.mdns-reflector' (note the dot).
          (3141f722)

2023-04-19 Daniel Teichmann

        * Makefile.debug: Add debian-edu-router-plugin-mdns-reflector.
          (70775ab0)
        * debian/{control, d-e-r-p-m-r.{config,postinst,templates}: Add own
          mDNS reflector plugin package. (4fbac0d1)
        * debian/{control, d-e-r-c.{config,templates,postinst}: Remove mDNS
          reflector stuff. (15663889)
        * debian/debian-edu-router-config.postinst: Fix: Enabling debconf
          features. (6a35a0a9)
        * debian/d-e-r-c.{common, config, postinst}: Move parse_ip_versions
          func into common file; Remove ipv{4,6}_enabled. (21b1b44b)
        * debian/d-e-r-c.{common, config}: Move bailout function into common
          file. (0dabd782)
        * debian/d-e-r-c.{common, config}: Move netmask_map_v4 into common
          file. (c56de649)

2023-04-09 Mike Gabriel

        * d/changelog: update missing change item (a7147520)
        * d/changelog: document changes introduced with upload of version
          2.12.6 (4b904505)
        * debian/po: Add pt_BR translation. Thanks to Paulo Henrique de Lima
          Santana. (Closes: #1034029). (16dea046)

2023-04-06 Mike Gabriel

        * debian/po: Update nl.po. Thanks to Frans Spiesschaert. (Closes:
          #1033906). (a5857be0)

2023-04-09 Mike Gabriel

        * Revert "debian/po: Execute debconf-updatepo." (662d96a6)

2023-03-21 Daniel Teichmann

        * debian/po: Execute debconf-updatepo. (a36e3675)
        * po/: Execute ./update-po.sh. (35caecec)

2023-03-28 Daniel Teichmann

        * debian/d-e-r-c.postinst: Replace sshd with ssh for invoke-rc.d
          call. (29da14ad)
        * debian/d-e-r-c.postinst: Only generate mDNS firewall config files
          if there are networks which use mDNS-reflector. (8da3c263)
        * debian/d-e-r-c.postinst: Don't generate firewall rules, if SSH
          service is disabled. (1e38c3bc)
        * debian/d-e-r-c.postinst: Generate uif service definition (SSH
          custom port). (fde78bd8)

2023-03-28 Mike Gabriel

        * debian/d-e-r-c.{config, postinst}: Selectively allow/block incoming
          SSH connections. (d334ab5d)
        * debian/debian-edu-router-config.templates: Add EOL at EOF.
          (d7b1d49a)
        * debian/debian-edu-router-config.config: Grammar fix. (22339e83)
        * d/changelog: update from Git log, bump to 2.13.0~alpha2 (29e2c616)

2023-03-22 Daniel Teichmann

        * debian/d-e-r-c.config: Fix mDNS question not accepting 0 selected
          networks. (cb35834f)

2023-03-21 Mike Gabriel

        * d/changelog: update from Git log, bump to 2.13.0~alpha1 (a88d7dd7)

2023-03-20 Daniel Teichmann

        * debian/d-e-r-c.postrm: Purge mdns-reflector + ssh service config
          files too. (c5aeb278)
        * debian/d-e-r-c.postinst: Generate sshd + uif config files for
          custom SSH port. (66f02ef0)
        * debian/d-e-r-c.{config,templates}: Add
          debian-edu-router-config/service-ssh-custom-port template.
          (2f10a6ce)
        * debian/d-e-r-c.postinst: Generate uif rules for mDNS reflection.
          (0edb3b98)
        * Makefile.debug: Add avahi-utils to prepare_debugging_server target.
          (4b3b1c31)
        * debian/d-e-r-c.postinst: Make nosetup_reason2 message bold.
          (6c9bed84)

2023-02-20 Daniel Teichmann

        * debian/d-e-r-c.config: Make sure user doesn't accidentely quit the
          conf dialog when trying to backup… (a58bd0f4)
        * debian/d-e-r-c.common: Don't include '-' in db_question. (c9fbfb0a)

2023-02-10 Daniel Teichmann

        * debian/d-e-r-c.postinst: Add config file generation for
          mdns-reflector. (9f792c5c)
        * debian/d-e-r-c.common: Add get_internal_networks_ifaces() function
          which just returns all internal networks with their
          network interface. (be137dd1)
        * debian/d-e-r-c.postinst: Fix typo. (550ae8cc)

2023-02-09 Daniel Teichmann

        * debian/d-e-r-c.{config,templates}: Add
          'debian-edu-router-config/service-mdns-reflector-networks'
          template. (df3a782b)

2023-02-08 Daniel Teichmann

        * debian/control: Add 'mdns-reflector' to 'Depends:' field.
          (4313e7ee)

2023-03-20 Mike Gabriel

        * upload to unstable (debian/2.12.5) (752d240b) (tag: 2.12.5)
        * debian/debian-edu-router-config.lintian-overrides: update line
          number (5ef19792)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Comment out DEVELOPMENT APT repository. (e8a10f6b)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/trusted.gpg.d/:
          Rename itzks-keyring.gpg to DEVELOPMENT.gpg (52c020af)
        * fai/config/class/90-development: Disable DEVELOPMENT class.
          (dd3b601a)

2023-03-20 Frans Spiesschaert

        * debian/po: Add nl.po. Thanks to Frans Spiesschaert. (Closes:
          #1032534). (1df86957)

2023-03-20 Camaleón

        * debian/po: Add es.po. Thanks to Camaleón. (Closes: #1033016).
          (d76e8437)

2023-03-16 Daniel Teichmann

        * debian/changelog + ChangeLog: Update to latest changes. (389b10d6)

2023-03-10 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Silence and ignore errors
          if /etc/dnsmasq.d/ is empty when attempting to remove
          files from it. (64d0a181)
        * debian/debian-edu-router-config.postinst: Assure that
          /etc/dnsmasq.d/ exists before placing files into it.
          (dde90316)

2023-03-09 Daniel Teichmann

        * debian/changelog: update from Git history and bump to
          2.12.5~preview6 (9b27511f)
        * debian/d-e-r-c.postinst: Remove 'WARNING' from skip-network-setup
          msg to avoid it being shown at FAI installation.
          (3d14d758)
        * Makefile.iso: Split CHROOT_LOCATION via 'tr' to avoid possible
          'Union Directory' entries. (627dc773)

2023-03-09 Mike Gabriel

        * debian/changelog: udpate from Git history and bump to
          2.12.5~preview5 (62b75d80)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Mark
          simultaneous DHCP discovery as experimental, not BROKEN.
          It has been working quite well during recent tests.
          (96a32732)
        * fai/config/package_config/FAIBASE: Drop libnss-sss and libpam-sss.
          (Remnant from Debian LAN which we used as a starting
          point). (f986a47a)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in:
          Add '--include=ca-certificates' to FAI_DEBOOTSTRAP_OPTS.
          For https deb-URLs it is vital to have ca-certificates
          already installed in FAI's base.tar.xz chroot tarball.
          (e749cd02)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in:
          Drop '--include=aptitude' from FAI_DEBOOTSTRAP_OPTS. Not
          supported by FAI 6.0 currently. (9ee7b4d6)

2023-03-08 Mike Gabriel

        * fai/config/package_config/: Temporarily stop using 'aptitude'
          installation type, switch to legacy 'install' (i.e.
          apt-get). (10583df9)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Add non-free-firmware package repo area. (bae8ce90)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Add
          libnss3. Required by dracut's 45url-libs module.
          (762024ec)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT:
          Forward-port changes from NFSROOT in FAI 6.0. (f9b4cf47)
        * bin/debian-edu-router-fai_install: Drop non-free-firmware repo area
          if preparing a bullseye nfsroot. (61310b72)
        * bin/debian-edu-router-fai_*: Drop support for Debian versions older
          than bullseye. (fa4fcd90)
        * debian/copyright: Adjust for renamed DEVELOPMENT.{asc|gpg} file.
          (1cf31022)
        * d/changelog: update from Git history (790c4e59)
        * bin/debian-edu-router-fai_instal: Mount /proc and /sys in nfsroot
          prior to creating/updating it. Those mountpoints are
          needed by dracut's 45url-libs module. (1c872067)
        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Mark
          package_config/DEVELOPMENT.asc as obsolete file.
          (52f80308)
        * package_config/DEVELOPMENT.{asc -> gpg}: Rename file. Support for
          .asc files has been dropped in FAI. (9e91e78d)

2023-02-24 Mike Gabriel

        * d/changelog: update from Git history (3c128a54)

2023-02-09 Daniel Teichmann

        * debian/d-e-r-c.config: Add '|| true' guard to udevadm call. Thanks,
          Lintian. (624a80d8)

2023-02-17 Daniel Teichmann

        * po/{de.po,templates.pot}: Update template language files.
          (7c9a0b3e)
        * debian/d-e-r-c.{templates,config,lintian-overrides}: Remove
          debian-edu-router-config/title. (948c6915)
        * debian/d-e-r-c.postrm: Set title to 'Debian Edu Router'. (ccae9561)
        * debian/d-e-r-c.lintian-overrides: udvadm guard warning has been
          fixed. (85587b4f)
        * debian/d-e-r-c.config: ipv4 DNS NS's can provide ipv6 NS's and vice
          verca. So don't force both ipv4 and ipv6 nameservers.
          (c602e3b6)

2023-02-16 Daniel Teichmann

        * debian/d-e-r-c.config: Make DNS nameserver question more reliable +
          support IPv6. (3e934b2a)
          Fixes: #40

        * {po/de.po, po/templates.pot, debian/d-e-r-config.templates}: Update
          translation. (2f2a81b9)
        * {po/de.po, po/templates.pot, debian/d-e-r-config.templates}: Don't
          break '_Description:' line. Update translation. (103d6a8b)
        * debian/d-e-r-c.config: Make bailout_on_too_many_failures()
          colorful. (230e218e)
        * debian/d-e-r-c.config: Remove old color codes and replace them with
          new color variables. (0424b7ee)

2023-02-16 Mike Gabriel

        * release 2.12.4 (d9af6a5b) (tag: 2.12.4)
        * debian/po/: Update de.po. (a3b3a161)
        * debian/po/templates.pot: Update file. (942a001e)
        * debian/debian-edu-router-config.templates: Wrap too-long-lines in
          LONG_DESCRIPTION fields. (No change in the wording).
          (c7032e77)
        * lintian: Adjust line numbers of some overrides. (b15d9108)
        * lintian: Drop too-long-short-description-in-templates overrides.
          (d526736d)
        * debian/debian-edu-router_2.12.4: Shorten SHORT_DESCRIPTION fields
          to be under 78 chars long. (e2a70f62)

2023-02-15 Daniel Teichmann

        * debian/d-e-r-c.postinst: Remove leftover reference of removed
          template
          'debian-edu-router-config/net-connect-ext-iface-uplink'.
          (e3de880d)

2023-02-14 Daniel Teichmann

        * debian/d-e-r-c.config: Step-by-Step: Fix bug where iface could be
          empty for internal network iface matching. (88e01fc9)
        * debian/d-e-r-c.{config,templates}: Step-By-Step: Optimize Uplink
          interface gathering. (d9552891)
        * debian/d-e-r-c.config: Add set_all_available_ifaces_up() and add a
          little documentation. (a0270a5b)
        * debian/d-e-r-c.config: Wait for iface link to be up before
          continuing. (8b86cde8)
          Fixes: #66

        * debian/d-e-r-c.config: Don't run preconfigure stage, because
          commons file is not yet ready. (60679f46)
        * debian/d-e-r-c.common: Add warning_log_stderr(). (410fc8eb)

2023-02-15 Daniel Teichmann

        * po/de/LC_MESSAGES/debian-edu-router-config.po: Make loginmenu
          strings more uniform. (9b787499)
        * debian/po/de.po: Update german language files. (79f248ba)
        * debian/po/*: Execute debconf-updatepo (Update language files).
          (801ea5ae)
        * po/: Execute ./update-pot.sh (Update language files). (34a352a8)
        * po/de: Update german language files. (4786c485)

2023-02-14 Daniel Teichmann

        * debian/d-e-r-c.{config,lintian-overrides}: Fix vlan template typo.
          (7582238f)

2023-02-10 Daniel Teichmann

        * debian/d-e-r-c.postinst: If 'D_E_R_DEBUG' is set, don't just delete
          generated config files. (3e117607)
        * debian/d-e-r-c.postinst: Rephrase port-is-already-in-use
          warning_log. (90c65a6f)
        * debian/d-e-r-c.postinst: Refactor echo log-statements to
          'debug_log' or 'error_log' func calls. (541642dc)

2023-02-09 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix one of the debconf
          preseedings. (papercut). (f0d6c13f)
        * bin/debian-edu-router-loginmenu.sh: Add 'completely configure
          d-e-r' option. (e41b3da8)
        * Makefile.debug: Add packages 'gpm' + 'ipv6calc'; Fix package
          'ip4calc' -> 'ipcalc'. (9986e1d8)

2023-02-07 Daniel Teichmann

        * debian/d-e-r-c: Restrict the firewall so that you can no longer
          connect to other internal networks directly. (a7b3e4f5)
        * debian/d-e-r-c.templates: Fix typo in the 'Printers' DHCP example.
          (8656e08a)

2023-02-06 Daniel Teichmann

        * debian/d-e-r-c.config: Replace old remnants of 'backbone' with
          'mgmt'. (45f3ee18)

2023-02-05 Mike Gabriel

        * release 2.12.3 (9d0b1f09) (tag: 2.12.3)
        * debian/control: Add to D (d-e-r-c): procps (provides sysctl cmd).
          (Closes: #1030574). (9edbc991)

2023-02-04 Mike Gabriel

        * Continue development... (ff4126e1)
        * ChangeLog: post-release update (89ea98fd)
        * release 2.12.2 (e8d3f623) (tag: 2.12.2)
        * lintian: Adjust line number in recursive-privilege-change override.
          (7960dc05)
        * debian/debian-edu-router-config.postrm: Assure purging of our
          sysctl config snippet. (bc4fd04a)
        * debian/copyright: Update copyright attributions. (86878d6e)
        *
          fai/config/files/lib/systemd/system/startup-shutdown-chiptune.service/GATEWAY:
          Add license header. (51ab4ec2)
        * debian/debian-edu-router-config.postinst: Create directory
          /etc/sysctl.d before writing a file into it. (Closes:
          #1030359). (d47daf1b)

2023-02-01 Mike Gabriel

        * Continue development... (fb805cd6)
        * release 2.12.1 (ccb7f595) (tag: 2.12.1)

2023-01-30 Daniel Teichmann

        * po/de/LC_MESSAGES/debian-edu-router-config.po: Fix punctuation
          typo; Update pot files. (faec4f0a)
        * bin/debian-edu-router-loginmenu.sh: Fix 'ITEM_REBOOT_REBOOTING_NOW'
          string. (b3d4bbfe)

2023-01-27 Daniel Teichmann

        * FAI: Move startup-shutdown-chiptune.service to /lib/systemd/system/
          and execute fcopy on it. (fa50a057)
          Fixes: #59

2023-01-29 Mike Gabriel

        * Continue development... (7ac84f27)
        * debian/control: Typo fix in LONG_DESCRIPTIONs. (9c6dcbfe)
        * release 2.12.0 (6ea28ed5) (tag: 2.12.0)
        * debian/copyright: Slight update. (6c5f03cf)
        * lintian: More silencing of warnings for known issues. (f061fea9)
        * debian/debian-edu-router-config.common: Make file executable.
          (819dc8be)
        * debian/debian-edu-router-config.config: Guard udevadm call. This
          needs a better implementation and is for silencing lintian
          only for now. (fa79849c)
        * lintian: Capture various known issues. (9c492dde)
        * debian/debian-edu-router-config.common: Fix syntax error in
          if-clause. (1de465c6)
        * debian/debian-edu-router-config.common: Fix indentation at top of
          script. (8aeb7be1)
        * conf/profile.d/d-e-r_on-login.sh: Add shebang. Thanks lintian.
          (3aa57cb0)
        * debian/source/lintian-overrides: Ignore GPG keyring files when
          parsing file tree for copyright attributions. (7ca02a00)
        * debian/po/de.po: Update German translation. (9b38ffba)
        * debian/po/templates.pot: Update template file. (4e614962)
        * debian/copyright: Update copyright attributions. (883ce744)
        * debian/copyright: Update auto-generated copyright.in file.
          (9afcc4ec)
        * Happy new year! (da168abc)
        * debian/copyright: Update copyright attributions. (482e3222)
        * debian/debian-edu-router-config.templates: Amend lintian warning
          template-uses-unsplit-choices. (7ce91eb8)
        * debian/debian-edu-router-config.common: Add PL as copyright holder.
          (1f73a079)
        * Update copyright headers, add Daniel Teichmann to files that he
          significantly contributed to. (8ad5d1e6)

2023-01-27 Daniel Teichmann

        * po/debian-edu-router-*.pot: Update POT files. (874c94c8)
        * po/de/LC_MESSAGES/debian-edu-router-*: Update german translation
          files. (266d18b4)
        * po/{templates.pot,de.po}: Update german translation files.
          (c8034a76)
        * po/*: Update po files. (cca95c92)
        * Makefile.debug: Add usefull packages to prepare_debugging_server
          target. - iproute2 - ipcalc - ipv6calc (a8e080eb)
        * debian/d-e-r-c.config: Add filter_ifaces_by_online_status() and use
          it to filter NICs which are not ONLINE. (710df61a)
          Fixes:
          #45

        * debian/d-e-r-c.common: Add debug_log_stderr() to print debug logs
          into stderr. (25bc8685)
        * debian/d-e-r-c.config: Fix bug where one could bypass plugging out
          the network cables at STEP-BY-STEP setup. (eb78406c)

2023-01-27 Mike Gabriel

        * debian/copyright: Update auto-generated copyright.in file.
          (204da461)
        * debian/control: Bump Standards-Version: to 4.6.2. No changes
          needed. (d6b1f07f)
        * debian/control: Make R: field in d-e-r-config a multi-line field.
          (1ca2e944)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{common,postinst}: Comment out too verbose debug
          logs. (c2955f8a)
        * debian/d-e-r-c.postinst: Generate reverse NAT UIF config in
          postinst. (df9af37d)
        * debian/control: Add iproute2 (ss command) as dependency; Add
          ip{v6}calc as recommended package. (62fe757d)

2023-01-23 Daniel Teichmann

        * debian/d-e-r-c.{common,config}: Add validation for reverse NAT
          dialog. (6bd3cbbe)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{common,config,postinst}: Move common variables and
          functs. into common file. (b6f1d299)

2023-01-23 Daniel Teichmann

        * debian/d-e-r-c.config: Rewrite get_internal_networks to use
          dictionary instead of normal array. (1805a93b)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{config, templates}: Add Reverse NAT dialog.
          (73ad1991)

2023-01-20 Daniel Teichmann

        * debian/d-e-r-c.postinst: Don't generate trustworthy ips conf, if
          all networks already have direct inet access configured.
          (cde26d51)

2023-01-26 Daniel Teichmann

        * Makefile.iso: Allow builds with different target release to
          coexists. (780c72af)

2023-01-25 Daniel Teichmann

        * bin/d-e-r-loginmenu.sh: Implement shutdown/reboot options with
          support for custom translatable validation strings.
          (7f747fdd)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.common: Disable colors, if they aren't supporte.
          Add color variables. (22cb1642)
        * debian/d-e-r-c.{common,config,postinst}: Replace warnings with echo
          with new warning_log(). (61e67b92)
        * debian/d-e-r-c.{common,config,postinst,install}: Add file where
          common functions go. (cd241364)

2023-01-23 Daniel Teichmann

        * Makefile.iso: Add 'upload-iso-file' target. (ddb18d48)

2023-01-20 Daniel Teichmann

        * Makefile.debug: Don't run apt-get interactively. (9ca87b49)
        * Makefile.debug: Don't run lintian for debug builds. (f30d0f67)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.{postinst, config}: Add more debug_log output.
          Replace old if-style debug outputs with debug_log().
          (c944f1d1)

2023-01-11 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Always allow direct internet
          access for Tjener. (40093115)
        * debian/d-e-r-config.postinst: Process trustworthy ips and generate
          uif config files. (0f9c617d)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.postinst: Add is_netmask_v{4,6} and
          is_valid_ipconfig_v{4,6} functions. (d26b1e5a)

2023-01-11 Daniel Teichmann

        * debian/d-e-r-config.config: Ask trustworthy ips/networks question
          and validate answer. (d95c74f6)
        * debian/d-e-r-config.templates: Add templates for trustworthy
          internal IPs/networks. (118c6144)
        * debian/d-e-r-config.config: Also print debug messages if
          D_E_R_DEBUG env-var is set. (c973dfa8)
        * debian/d-e-r-config.config: Add ipv4_to_decimal() and
          is_ip4config_in_network(). (56a84fca)

2023-01-10 Daniel Teichmann

        * debian/d-e-r-config.config: Don't let admin backup into network
          setup questions, if they should be skipped. (347bcbc6)

2022-12-21 Daniel Teichmann

        * debian/debian-edu-router-config.config: Use debug_log() for debug
          logs instead of echo. (cf543c79)
        * debian/debian-edu-router-config.config: Add debug_log() function.
          (3743b596)

2022-12-20 Daniel Teichmann

        * debian/debian-edu-router-config.config: Add
          compare_comma_separated_items() function. (04aadfe7)

2023-01-10 Daniel Teichmann

        * Makefile.debug: Add 'D_E_R_DEBUG' env variable while installing
          package. (6f7ce846)
        * Makefile.debug: Add 'watch'-target. (4aa4255e)

2022-12-01 Daniel Teichmann

        * Makefile.{debug, iso}: Split CODENAME into CODENAME_ISO and
          CODENAME_DEBUG. (3164edc4)
        * Makefile.{debug, iso}: Add *.iso files to clean target. (6760b8b2)
        * .gitignore, Makefile.{debug, iso}: Add optional inclusion of env
          file for Makefiles. (f8a410d6)

2022-11-25 Daniel Teichmann

        * Add Makefile.{debug, iso} files for debugging and iso image
          creation. (01a54b2e)

2023-01-16 Mike Gabriel

        * debian/: Fine-tune English phrases of new IP forwarding consent
          dialog. (58f09a48)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.postinst: Don't enable router advertisement or
          solicitation if IPv6 is disabled. (73ed48c5)
          Fixes: #47

2022-12-16 Daniel Teichmann

        * debian/debian-edu-router-config.{templates, config}: Add IP
          forwarding consent dialog. (8d5bb5ad)
        * Delete all traces of old sysctl conf file
          '30-debian-edu-router-config.conf'. (f046b2d9)
        * debian/debian-edu-router-config.postinst: Generate sysctl conf file
          on-the-fly. (9164694d)

2022-12-08 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Reload sysctl config
          files at the end of postinst. (7df3231a)
          Fixes: #48

2022-12-01 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix interface matching
          confirmation dialogs for Step-By-Step mode.
          (c5791e61)
          Fixes: #46

2022-11-30 Daniel Teichmann

        * FAI: Add startup/shutdown chiptune systemd service.
          (a2290500)
          Fixes: #50

2022-12-01 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix filtering of manually
          configured ifaces. (261a40a8)

2022-11-25 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix quoting in
          available_network_interfaces_{online, offline}().
          (de6a5a55)
        * debian/debian-edu-router-fai.prerm: Be more specific while remove
          /var/lib/debian-edu-router-fai/ucf/. (1a989f3b)

2022-11-25 Mike Gabriel

        * debian/debian-edu-router-config.config: Inject commas in
          ifaces_connected, strip blank at end-of-string. (13dfe9ec)

2022-11-22 Mike Gabriel

        * debian/debian-edu-router-config.{postrm,templates}: When purging
          d-e-r-config, also purge dnsmasq.d config snippets.
          (1548173b)

2022-11-08 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Suppress 'ip a s'-errors
          in iface_adress_v{4, 6}(). (c0784170)

2022-11-07 Mike Gabriel

        * fai/config/scripts/LAST/90-reconfigure-d-e-r-config: Wrap long
          line. (4afa3615)
        * debian/<scripts>: Introduce FORCE_NETWORK_SETUP_POSTINST as
          stronger opponent to SKIP-NETWORK-SETUP deconf setting.
          (1b905564)

2022-11-08 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Simplify network iface
          setup check for internal networks. (4a0a7a0b)

2022-11-07 Mike Gabriel

        * debian/<scripts>: Rename CONFIGURE_NONE to
          SKIP_DEBCONF_QUESTIONS_CONFIG. (2a3bc649)
        * debian/<scripts>: Rename NO_SERVICE_RESTARTS variable to
          SKIP_SERVICE_RESTARTS_POSTINST. (206c418b)

2022-11-04 Daniel Teichmann

        * debian/debian-edu-router-config.{templates, postrm}: Replace
          stdout-warnings with debconf dialog. (25f21c48)

2022-11-22 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix broken handling of
          multiline sed and instead use tr '\n' ' '. (95910952)

2022-11-14 Daniel Teichmann

        * debian/debian-edu-router-config.config: Mark more clearly where
          services and firewall dialogs begin and end. (8ca5b592)

2022-11-11 Mike Gabriel

        * debconf: If CONFIGURE_ONLY is set to SERVICES_ALL, don't configure
          the firewall settings. (b50ecc0b)

2022-11-14 Daniel Teichmann

        * debian/debian-edu-router-config.config: Add comments & Add debug
          output if user tried to backup beyond BACKSTOP point.
          (c0f2dfa7)

2022-11-11 Mike Gabriel

        * debconf: With CONFIGURE_ONLY set, don't allow going backwards in
          dialogs any further than the entry point defined via
          CONFIGURE_ONLY. (84bcc4b5)

2022-11-07 Mike Gabriel

        * conf/debian-edu/router.conf{,.d}: Provide overridable mechanism for
          parameterizing scripts in Debian Edu Router. (26279e2a)

2022-11-11 Mike Gabriel

        * debian/debian-edu-router-config.config: Do type consistent (str vs.
          bool) comparisons. (87c0b8a3)
        * debian/debian-edu-router-config.config: Pre-define IPV4, IPV6 and
          some other network related variables outside of
          while-loop. (a27d081f)
        * debian/debian-edu-router-config.config: Add functions for checkout
          if IPv4/IPv6 is set to enabled. (3aa2fbf9)
        * fai/config/class/51-os-version-from-nfsroot: If VERSION_ID is
          missing in /etc/os-release, add class DEBIAN_<codename>
          instead. (1bf33241)
        * fai/class/DEBIAN_*.var: Provide copies of DEBIAN_<version>.var as
          DEBIAN_<codename>.var. (8da507fd)
        * fai/config/class/51-os-version-from-nfsroot: Indent with tabs
          (white-space only change). (f6d159be)
        * bin/debian-edu-router-fai_mkcd: Create the new ISO/SquashFS
          image(s) as hidden files first. (292f27e5)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Assure that
          debian-edu-router-config/net-ip-versions-enabled will get
          set to  IPv4, only, for now. (0e2347a6)
        * debconf: Set IPv4 as default value for
          debian-edu-router-config/net-ip-versions-enabled.
          (7f94b079)
        * debian/debian-edu-router-config.postinst: Only add 'auto <iface>'
          line if either IPv4 or IPv6 has been enabled. (f9a0481d)

2022-11-09 Mike Gabriel

        * Rename
          fai/config/_obsolete-files.d/debian-edu-router-config.removed
          to debian-edu-router-fai.removed. (b8f254c5)

2022-11-08 Daniel Teichmann

        * debian/debian-edu-router-config.config: Wrap long
          ifaces_connected[] lines. (470b7393)

2022-11-07 Mike Gabriel

        * debian/debian-edu-router-config.config: Properly find+replace
          line-breaks ('\n') in ifaces_connected[] array. (89cbee13)

2022-10-24 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Don't create network
          configuration if the IP version is disabled. (5b43a446)
        * debian/debian-edu-router-config.config: Ask nameserver question
          again if syntax check failed. (f3106d82)
        * debian/debian-edu-router-config.config: Add evaluation for
          IPv4/IPv6 dialog & Don't show questions if not needed.
          (e9c10543)

2022-10-10 Daniel Teichmann

        * debian-edu-router/debian/debian-edu-router-config.{config,
          templates}: Add IPv4/IPv6 dialog. (fd21aa34)
        * debian-edu-router/fai/config/hooks/install.GATEWAY.sh: Slightly
          change wording of initial dialog after first network setup
          attempt. (ab45b3fb)
          Fixes: #37

        * debian-edu-router/fai/config/hooks/install.GATEWAY.sh: Move IPv4
          dialog stuff into own function. (3fd0053d)

2022-11-03 Mike Gabriel

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix default gateway IP on
          Mgmt network. (4c7be868)

2022-10-10 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add defaults for new
          'Printers' network. (2ff0e83d)
        * debian/debian-edu-router-config.postinst: Adjust testmode IP's.
          (b434ec45)

2022-10-05 Daniel Teichmann

        * debian/debian-edu-router-config.{postinst, templates, config}: Add
          'Printer' network. (26814bb4)
        * debian/debian-edu-router-config.postrm: Add FIXME 'purge
          debconf-managed dnsmasq config snippets too'. (4f72d56f)

2022-09-30 Daniel Teichmann

        * debian/debian-edu-router-config.{config, templates}: Don't offer
          already manually configured interfaces. (48669c46)
          Fixes:
          #8

2022-10-10 Daniel Teichmann

        *: Rename network 'Backbone' to 'Mgmt'. (794b4fed)
        * debian/debian-edu-router-config.templates: Omit wrongfully placed
          'Default' field. (95ab210c)
          Fixes: #38

2022-09-29 Mike Gabriel

        * fai/config/hooks/install.GATEWAY.sh: Use 'grep -E' when filtering
          out unwanted network device names. (6c7090ba)
        * fai/config/hooks/install.GATEWAY.sh: Don't abort script if 'grep'
          command fails during parsing of iface_description.
          (e3f6b4a2)

2022-09-28 Mike Gabriel

        * fai/config/files/etc/motd/DEBIAN_EDU_ROUTER: Ship our own motd file
          (acting as an example). (f4364ca8)

2022-09-29 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Rename Uplink & Global
          configuration files slightly. (4c4aa610)

2022-09-28 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Only create Uplink UIF
          configuration snippet if we know the Uplink NIC's device
          name. (a1d4b7de)
        * debian/debian-edu-router-config.postinst: Append
          rules-start/rules-end to UIF config snippet files.
          (20f79351)
        * debian/debian-edu-router-config.postinst: White-space amendments.
          (61f5e08d)
        * fai/config/: Use dpkg-reconfigure to create all d-e-r-config
          related config files (instead of creating the files
          ourselves). (9163c43b)

2022-09-27 Mike Gabriel

        * fai/config/hooks/install.DEBIAN_EDU_ROUTER.sh: Check for number of
          available NICs and complain if too few. (7ce220ce)
          Fixes:
          #27

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add explicit defaults for
          Debian Edu Router (i.e. a router as part of a Debian Edu
          network). (b2f312d2)
          Fixes: #5

        * debian/debian-edu-router-config.templates: By default, don't
          configure any internal network. (e667ba50)

2022-09-28 Mike Gabriel

        * fai/config/_obsolete-files.d/debian-edu-router-config.removed: Drop
          files/etc/fai/fai.conf/GATEWAY. This file actually gets
          auto-generated with every d-e-r-fai_updateconfig space
          script run. (9985b682)
        * fai/config/_obsolete-files.d/debian-edu-router-config.removed:
          Update with recently removed files. (b9d20771)
        * fai/config/files/etc/motd/GATEWAY: Drop file. Superceded by
          DEBIAN_EDU_ROUTER's motd file (or a similar vendor
          specific motd file). (55922e2a)
        * fai/config/files/etc/hosts/gateway: Rename from gateway (hostname)
          to GATEWAY (class name). (152d9577)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Offer
          two Uplink NIC discovery methods in GRUB menu of the FAI
          installer. (e838698d)
        * fai/config/: Allow for multiple vendors (bin:pkgs) to place
          .removed files that document which config space files got
          removed from the FAI config space over time. (80456e58)
        * debian/debian-edu-router-fai.install: Install
          debian-edu-router-fai_updateconfigspace into bin:pkg
          debian-edu-router-fai. This has been forgotten, so far.
          (51cc1adf)
        * bin/debian-edu-router-fai_updateconfigspace: Remove '*.ucf-*'
          backup files created by ucf. They disturb the operation of
          FAI. (e6ada4f3)

2022-09-28 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Introduce smart config
          backup system. (40d82e3d)

2022-09-23 Mike Gabriel

        * fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY.
          (28070c52)

2022-09-27 Mike Gabriel

        * Revert "fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY."
          (33433060)
        * fai/config/scripts/GATEWAY/10-networking: White-space fixes.
          (4382a462)
        * fai/config/scripts/GATEWAY/10-networking: Use ROOTCMD to execute
          commands in the installation target. (76c46a41)
        * fai/config/scripts/GATEWAY/10-networking: Use correct variable for
          uplink iface. (996932a5)

2022-09-26 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Fix wrong '.conf' suffix
          for rm commands. (d72180b5)
        * debian/changelog: Revert changes made by commit 00f41cd3e8cdfa.
          (21a4a0bf)

2022-09-23 Mike Gabriel

        * fai/config/scripts/GATEWAY/10-networking: Fix interface name in
          comment. (19275296)
        * fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY.
          (00f41cd3)

2022-09-22 Daniel Teichmann

        * fai/scripts/GATEWAY/10-networking: Preseed uif with
          debian-edu-router mode. (cd6881c1)
          Fixes: #28

2022-09-14 Daniel Teichmann

        *
          fai/config/{hooks/install.GATEWAY.sh,scripts/GATEWAY/10-networking}:
          Preseed d-e-r with uplink interface. (4523c064)
          Fixes: #6

2022-09-22 Mike Gabriel

        * fai/config/scripts/DEBIAN/30-interface: Bail out early if we
          install a GATEWAY. (5778ddd6)

2022-09-14 Daniel Teichmann

        * conf/sysctl.d/30-debian-edu-router-config.conf: Adjust
          kernel.printk to actually stop kernel messages being
          printed on TTY. (82586271)
          Fixes: #25

2022-09-09 Mike Gabriel

        * debian/debian-edu-router-config.config: Reload
          service_dhcp_networks_{v4,v6} from debconf, so that we can
          properly work with it further. (7e690c1f)
        * debian/debian-edu-router-config.config: Omit 'Uplink' network from
          networks where a  DHCPv4/v6 service can be added.
          (b4a2e3df)
        * debian/debian-edu-router-config.config: Use '999' as very high
          state, not '99'. We are already at '57' with available
          states, so '99' is not really far away anymore. (85024f30)
        * debian/debian-edu-router-config.config: Use backticks to not
          confuse mcedit's syntax highlighter. (6be41e9f)
        * debian/debian-edu-router-config.postinst: Fix output to /dev/stdout
          in TEST_MODE. (cd4563b7)

2022-09-12 Daniel Teichmann

        * Update po/*/*/*.po files. (5f274836)

2022-09-09 Mike Gabriel

        * debian/debian-edu-router-config.config: Only enforce external
          nameserver IP(s) if 'Uplink' is configured statically.
          (353b7be2)
        * debian/debian-edu-router-config.config: Introduce a failure counter
          for unsufficiently answered questions. (229de6f3)

2022-09-09 Daniel Teichmann

        * conf/sysctl.d/30-debian-edu-router-config.conf: Lower kernel log
          level. (66a94739)
          Fixes: #22

2022-09-09 Mike Gabriel

        * fai/config/scripts/GATEWAY/10-networking: Add FIXME for
          d-e-r-config uplink interface preseeding. (6af89d30)
        * fai/config/scripts/GATEWAY/10-networking: Turn standalone if-clause
          into elif-clause. (02d4e118)

2022-08-22 Daniel Teichmann

        * debian/debian-edu-router-config.config: Extend state-machine to
          allow arbitrary jumps between steps. (9f903fd5)

2022-08-19 Daniel Teichmann

        * debian/debian-edu-router-config.config: Echo very useful step debug
          information if DEBCONF_DEBUG is set to 'developer'.
          (4ec5f871)
        * debian/debian-edu-router-config.config: Fix backing up from step 16
          when vlans shouldn't be configured. (cc721d68)
        * debian/debian-edu-router-config.config: Implement state direction
          system. (de650100)
        * debian/debian-edu-router-config.config: Fix 'db_capb' command.
          (525f1f04)
        * debian/debian-edu-router-config.config: Fix broken if-clause. Fix
          few whitespace errors. (0d051918)

2022-06-16 Daniel Teichmann

        * debian/debian-edu-router-config.config: Make first dialog
          'net_setup_mode' cancelable. (ce34b1dc)
        * debian/debian-edu-router-config.{config, templates}: Add
          retry-counter to step-by-step setup. (dca554d1)

2022-09-08 Daniel Teichmann

        * debian/debian-edu-router-config.config: Filter out any interfaces
          containing '@'. (845a7c46)
          Fixes: #23

2022-08-23 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Set net-setup-mode to
          skip to prevent breakage by future package upgrades.
          (62f17220)
          Fixes: #19

2022-06-01 Mike Gabriel

        * debian/debian-edu-router-config.config: Make sure
          net_networks_staticip_v4 is set when configuring only
          SERVICES_ALL. (0f666656)
        * debian/po/de.po: Various localization fixes. (804bf899)
        * debian/debian-edu-router-config.config: Make services configurable
          via debian-edu-router-loginmenu(.sh). (4d34d991)
        * debian/po/: Update translation files. (0b4699b7)
        * debian/debian-edu-router-config.templates: Adjust IPv4 DHCP
          examples to network address examples. (8ace1b6b)
        * debian/debian-edu-router-config.postinst: Only let dnsmasq react to
          queries coming from explicitly white-listed network
          interfaces. (2256ad43)
        * debian/debian-edu-router-config.postinst: Calculate IPv4 networks
          from IP address and netmask. (Similar algorithm needed for
          IPv6, mark with FIXME for now). (f7802e21)
        * debian/debian-edu-router-config.postinst: Add empty line in
          uif.conf.d/ files for better readability. (6817e6cc)
        * conf/sysctl.d/30-debian-edu-router-config.conf: Fix filename in
          comment. (46cbe5a0)
        * debian/debian-edu-router-config.postinst: White-space changes in
          uif.conf.d/ files. (576a4220)
        * debian/debian-edu-router-config.postinst: Support IPv6 RA/RS on all
          interfaces by default. (af9e3dee)

2022-05-31 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Rephrase config comment.
          (29a562a7)
        * debian/debian-edu-router-config.postinst: Also allow incoming DNS
          queries. (705fadc7)
        * debian/debian-edu-router-config.postinst: in+ p=bootp in filtering
          config that starts a network filter configuration.
          (55dae241)
        * debian/debian-edu-router-config.postinst: Drop superfluous echo
          commands. (a910b9b2)
        * debian/debian-edu-router-config.postinst: Fix nasty flaw in
          dnsmasq.d/ config snippet. (b6b4881e)
        * debian/po/: Update templates.pot and de.po. (9608ed8a)
        * debian/copyright: Update copyright attributions. (0f28bd22)
        * bin/debian-edu-router-loginmenu.sh: Show MAC address for each
          network in login menu header. (47bcd884)

2022-05-31 Daniel Teichmann

        * debian/debian-edu-router-config.config: Show MAC address in
          addition to interface name and description. (7985a603)

2022-05-31 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Grammar fix in comment.
          (db9670be)
        * debian/debian-edu-router-config.postinst: Add missing
          end-block-output when in TEST_MODE at end of firewall
          config printout. (a405f7df)
        * debian/debian-edu-router-config.postinst: Improve commenting, show
          status report after something has been achieved, not
          before. (a774e267)
        * debian/debian-edu-router-config.postinst: Better document inline
          what debconf variablesare for. (9b40407a)
        * debian/debian-edu-router-config.<debconf>: Add configuration
          support for dnsmasq's DHCP server ranges. (25c31d54)
        * debian/debian-edu-router-config: Handle failing DNS server syntax
          check more gracefully (show error and ask again).
          (556c1172)
        * debian/debian-edu-router-config.config: Make REGEXP_ variables
          reusable in combined expressions. (af9c23c7)

2022-05-30 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Unconditionally allow
          incoming DHCP queries. The DHCP service will choose on
          what requests to answer and on what not. (dd91a039)
        *
          fai/config/files/etc/apt/sources.list.d/debian-edu-router-development.list/DEVELOPMENT:
          Add {%release%}-backports of ITZkS package archive to have
          e.g. opennds available for installation. (6f10abb0)

2022-05-20 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Layout improvements in
          process_firewall_answers() [white-space only]. (01826db9)
        * debian/debian-edu-router-config.postinst: Split up network policies
          into two parts (iface declaration, NAT and (later)
          exceptions _and_ final default policy (allow or block the
          rest). (15a9bfaf)
        * debian/debian-edu-router-config.postinst: Fix spacing in uif config
          files. (4ca9ea63)
        * debian/debian-edu-router-config.postinst: Fix generation of UIF
          files containing network definitions. (26db7047)
        * debian/debian-edu-router-config.postinst: Remove firewall
          configuration snippets before re-creating the firewall
          setup. (311053d2)
        * debian/debian-edu-router-config.postinst: Increment config number
          prefix for firewall (uif) configuration snippet files.
          (28b47af3)
        * bin/debian-edu-router-loginmenu.sh: Show warning if no network
          interface is online in login menu's header. (d7536d0b)

2022-05-19 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Only configure firewall
          for a network if its iface is well defined. (94500589)
        * debian/debian-edu-router-config.postinst: Only configure networking
          if an iface is well defined. (59437e04)
        * debian/debian-edu-router-config.postinst: Always restart
          networking/services (unless in TEST_MODE). (3b7c08df)

2022-05-13 Mike Gabriel

        * debconf: Rename edu-related debconf variables, use 'education'
          instead of 'edu'. (eda6d47b)

2022-05-12 Mike Gabriel

        * bin/debian-edu-router-loginmenu.sh: Provide more space for network
          type name in header. (f54a74a8)
        * fai/config/: Drop plan of using bind9. Use dnsmasq in a first
          approach for now. (This might change later on if dnsmasq
          turns out not to be performant enough on large networks)."
          (2a040f01)
        * fai/config/package_config/FIREWALL: Switch from ufw to uif.
          (17678921)
        * debian/control: Conflict with other well-known network setup tools
          and firewall scripts. (c7502753)
        * debian/debian-edu-router-config.postrm: Clean-up debconf-generated
          on package purging. (1c664118)
        * debian/<scripts>: chmod a+x if not yet so. (6b696d00)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Use dracut 056 provided via development APT archive while
          it is not available in Debian
          bullseye-backports/bookworm/unstable. (230583da)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/trusted.gpg.d/itzks-keyring.gpg:
          Add file. Trust ITZkS APT archive while we are still
          developing the Debian Edu Router system. (128e056f)
        * debian/control: Add to R (d-e-r-config): dnsmasq. (4c30b198)
        * fai/config/: Rename language classes and prefix with 'LANG_'. (This
          completes db9ed3d4). (9bc1f635)

2022-05-10 Mike Gabriel

        * debian/po/: Update German debconf translation. (60f60bb4)
        * debconf: Add 'School-Administration' network type. (693ca132)
        * bin/debian-edu-router-loginmenu.sh: Display fine-tuning (when to
          reset terminal, when to show header, etc.). (cab71f03)
        * debian/control: Add D (debian-edu-router-config): iptraf.
          (3c0a1b08)
        * debian/debian-edu-router-config.postinst: Really restart networking
          if not in TEST_MODE. (f8b57ec5)
        * fai/config/scripts/GATEWAY/10-networking: Source
          /etc/network/interfaces.d/* from /etc/network/interfaces.
          (d5e07e31)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Use
          ip=single-dhcp dracut.cmdline option. (3695dca3)
        * bin/debian-edu-router-loginmenu.sh: Hide errors from 'ip a show'.
          (ac2dccdc)
        * fai/config/files/etc/motd/GATEWAY: Drop productnames such as FAI,
          Debian Edu Router, etc. Also drop FAI slogan. (22b4e074)
        * conf/profile.d/d-e-r_on-login.sh: Set executable bits (file
          permissions). (abb7a3f2)
        * conf/profile.d/d-e-r_on-login.sh: Check presence of correct script
          (<d-e-r>-loginmenu). (63adec97)

2022-05-09 Mike Gabriel

        * debian/po: Update German translation. (cd1efe8b)
        * debian/po: Update debconf translation template. (0e7e1073)
        * debian/debian-edu-router-config.postinst: Drop some immature,
          failure-causing devcode for now. (fd477038)
        * fai/config/class/: Rename language classes and prefix with 'LANG_'.
          (db9ed3d4)
        * debian/po: Update German translation. (e35782b5)
        * debian/po: Update debconf translations. (beb9097c)
        * po/: Update German translation files. (788d6ea1)
        * po/: Update translations. (788456bd)
        * debian/rules: Add dh_clean override; clean up i18n
          development/build cruft properly. (b6ca33db)
        * debian/debian-edu-router-config.templates: Shorten some
          SHORT_DESCRIPTIONS; modify some Choices: fields.
          (bd624d0d)
        * debian/copyright: Update copyright attributions. (ff68f99f)

2022-05-07 Mike Gabriel

        * Revert "debian/debian-edu-router-config.templates: Make choices
          translatable individually." (dd016ba4)

2022-05-09 Mike Gabriel

        * install.GATEWAY.sh: Fix some backticks, let script pass syntax
          checks. (6d91a025)
        * conf/sysctl.d/debian-edu-router-config.conf: Add file, enable
          IPv4/IPv6 forwarding globally. (f847aff2)

2022-05-07 Mike Gabriel

        * debian/debian-edu-router-config.*: Add basic uif configuration via
          debconf dialogs. (96dab771)

2022-05-09 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Don't use VLAN
          interfaces, if VLAN's shall not be used. (e7d94de7)

2022-05-08 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Use curly braces around
          shell variables. (f0d2e6fd)

2022-05-07 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Complete network
          information (esp. DHCP assigned addresses/networks) after
          networking has restarted. (e1b94b71)
        * debian/debian-edu-router-config.postinst: Use more quotes in
          process_networking_answers(). (a0a3b9c6)
        * debian/debian-edu-router-config.templates: Make choices
          translatable individually. (60c19c1a)
        * d/changelog: Fix version number. (f6727b7f)

2022-05-05 Mike Gabriel

        * debian/control: Require uif (>= 1.99.0-3~). (8509af27)
        * bin/debian-edu-router-loginmenu.sh: Various white-space fixes.
          (8132701a)
        * bin/debian-edu-router-loginmenu.sh: Add info header to login menu
          (like in pfSense console). (fa8805e8)

2022-05-04 Mike Gabriel

        * debconf: Greater hint to <address>/<netmask> syntax usage on IP
          address validation failures. (b21717de)
        * debconf: Make IPv4 examples more distinguishable in debconf
          templates. (24388c82)
        * debconf: Convert numeric-only netmask of static IPv4 'Uplink' NIC
          ifupdown configuration. (3e763c24)
        * debconf: Capture corner case when removing items for choices.
          (28f527e7)
        * debconf: Make DNS nameserver IPs configurable. (bdb46b84)
        * debconf: Several fixes for gateway IP configuration. (207a3dcc)

2022-05-02 Mike Gabriel

        * debconf: Add dialogs for configuring static IPv4/IPv6 upstream
          gateways. (4a571e2f)
        * debian/debian-edu-router-config.postinst: Add static IPv6 address
          to 'Uplink' interface. This was still missing. (606bb927)

2022-04-22 Mike Gabriel

        * po/: Update translation files. (d47f3d5c)
        * bin/debian-edu-router-loginmenu.sh: Turn into usable state, invoke
          dpkg-reconfigure from submenu items. (cb571ff8)
        * fai/config/hooks/install.*.sh: Fix i18n text passages containing
          variables (use printf). (53295528)
        * debian/rules: Fix renaming of .sh script files. (00c307c5)
        * debian/debian-edu-router-config.postinst: Typo fix in
          dns-nameservers line. (fb9cbc80)
        * debian/debian-edu-router-config.postinst: Typo fix (missing '|'
          symbol). (3483316e)
        * debian/debian-edu-router-config.config: Correctly set
          NETWORK_SETUP_LAST variable. (f8e2efe8)
        * debian/<debconf>: Add dummy firewall/services dialogs. (b0e92335)
        * Rename bin/debian-edu-router-setup.sh ->
          bin/debian-edu-router-loginmenu.sh. (b58d0fe4)

2022-04-21 Mike Gabriel

        * debian/po/de.po: Draft a German translation. (fce6b322)
        * debian/po/templates.pot: Update po template file. (ee1d993d)
        * debian/debian-edu-router-config.templates: Fine-tune English
          phrases in debconf dialogs. (b00fcf80)
        * debian/po/templates.pot: Update debconf translation template.
          (27cf15df)
        * po/de/: Update debian-edu-router-fai.po. (d3aa09ac)
        * po/: Update translation files. (b8f7fe01)
        * fai/config/hooks/install.DEFAULT.sh: Rephrase some dialog texts.
          (5f946524)

2022-04-20 Mike Gabriel

        * fai/config/hooks/install.GATEWAY.sh: We forgot to export TEXTDOMAIN
          to the environment. (734c4c10)
        * po/: Update German translation of debian-edu-router-fai.pot.
          (3f062602)
        * fai/config/hooks/install.DEFAULT.sh: Internationalize dialogs in
          this hook script. (6d8aaa16)
        * debian/: Install new scripts and translation files into DEB
          packages. (a971b5f1)
        * po/: Add translation files for the upstream code portion.
          (2d94a588)
        * i18n: Add scripts (update-pot.sh, update-po.sh) to maintain i18n
          translations. (4abd4b4b)
        * fai/config/hooks/install.GATEWAY.sh: Make script localizable.
          (e2ffbcbd)
        * conf/profile.d/d-e-r_on-login.sh: Invoke debian-edu-router-setup
          after login as root. (da2308d6)
        * bin/debian-edu-router-setup.sh: Adopt menu script from old versions
          of MNS+ Skolerouter. (35e84693)
        * fai/config/scripts/GATEWAY/10-networking: Mimick config file name
          and style of debconf-created
          /etc/network/interfaces.d/00_d-e-r_Uplink. (8ce53e3a)
        * debian/debian-edu-router-config.postinst: Put headline box at top
          of ifupdown config files. (0865caac)
        * debian/debian-edu-router-config.postinst: Add more error checks and
          capture more corner cases. (d48b3e04)
        * debian/debian-edu-router-config.postinst: Don't only support
          TEST_MODE network setup, but really create ifupdown config
          files as configured via debconf. (1ad97282)

2022-04-19 Mike Gabriel

        * debian/control: Add D (debian-edu-router-config): uif (>= 1.99.0).
          (71d5f6d6)

2022-04-08 Mike Gabriel

        * debian-edu-router-config debconf: Add IPv4/IPv6 address
          configuration dialogs. (b61a916e)

2022-04-07 Mike Gabriel

        * debian/debian-edu-router-config.config: Hide tunX network
          interfaces from list of available interfaces. (9eaa649f)

2022-04-02 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Initial draft of debconf
          handling when in TEST_MODE. (b615f70c)
        * debian/debian-edu-router-config.config: Add FIXME. (a1429750)
        * debian/debian-edu-router-config.config: Drop debug message.
          (f6002307)
        * debian/debian-edu-router-config.config: Syntax fix in if-clause.
          (a86d8d42)
        * debian/debian-edu-router-config.config: Better way of detecting
          whether network setup should be skipped. (33af8ccb)
        * ebian/debian-edu-router-config.config: Don't db_reset
          debian-edu-router-config/net-int-supportednetworks-via-vlan.
          (e313a2e4)
        * debian/debian-edu-router-config.config: VLAN IDs must range from 1
          to 4095 (not 0 to 4096). (be571474)
        * fai/config/hooks/install.GATEWAY.sh: Improve regexp for ignoring
          non-physical network interfaces. (592b5d21)
        * debian/debian-edu-router-config.config: Improve regexp for
          ignorable network devices. (18987326)
        * debian/control: Add D (d-e-r-config): pkgs 'ifupdown' and 'vlan'.
          (f0e7de99)

2022-04-01 Mike Gabriel

        * debian/po/: Add translation template file. (4bf1eabb)
        * debian-edu-router-config: Initial debconf templates for network
          interfaces and VLAN assignments. (e31bd5fc)

2022-03-25 Mike Gabriel

        * fai/config/FAI-configspace_obsolete-files.txt: Update list of
          removed/renamed files. (0f42ed91)
        * debian/copyright{,.in}: Update copyright attributions. (5c3ebe49)
        * fai/config/scripts/GATEWAY/10-networking: Add comments and mark
          ifupdown configs as part of the Debian Edu Router setup.
          (0db278d5)
        * Revert "fai/config/scripts/GATEWAY/10-networking: Add comments and
          mark ifupdown configs as part of the Debian Edu Router
          setup." (7f8d6bbc)
        * fai/config/package_config/DEBIAN_EDU_ROUTER: Install Debian Edu
          artwork if installed as Debian Edu Router. (581348e7)
        * fai/config/: Rename z10_debian-edu-router.profile to
          z20_debian-edu-router.profile. (142a7829)
        * debian/copyright{,.in}: Update copyright attributions. (a03aa09d)
        * fai/config/: Drop class DEMO and references to it. (11f20b88)
        * fai/config/scripts/GATEWAY/10-networking: Add comments and mark
          ifupdown configs as part of the Debian Edu Router setup.
          (04e21dd4)
        * scripts/FAIBASE/10-misc: Only add tmpfs mountpoint for /tmp if /tmp
          is not already in fstab. (c84b5bb5)
        * debian/copyright: Update copyright attributions. (5e7c0c0e)
        * debian/copyright: Update auto-generated copyright.in file.
          (e4e34e7a)
        * fai/config/scripts/PROXY/20-squid-wpad: Assure existence of
          <target>/var/www/html/ before writing a file to it.
          (bb02c6e8)
        * fai/config/scripts/GATEWAY/10-networking: Fix syntax error (missing
          'fi'). (4d72b1fa)
        * fai/config/hooks/instsoft.DEBIAN.sh: Explicitly exit with zero
          exitcode. (0774b0a6)
        * class/50-host-classes: Drop defining classes based on hostname.
          (164bc360)
        * hooks/install.*.sh: Hook scripts are parsed, so they must not leave
          'set -e' turned on. (3abea414)
        * fai/config/class/GERMAN.var: White-space cleanup at EOF. (cf420dde)
        * Add FAI's 40-parse-profiles.sh class script and provide a simple
          FAI profile menu template. (8225a024)
        * hooks/install.GATEWAY.sh: In TEST_MODE, print ifupdown config block
          of external network setup at end of script run. (9e27f903)
        * hooks/install.GATEWAY.sh: In TEST_MODE, break out of the main while
          loop after first round of manual network configuration.
          (900c8e94)
        * hooks/install.GATEWAY.sh: Change --backtitle of all dialogs to
          'Configure Internet Access'. (f7ee8533)
        * hooks/install.GATEWAY.sh: Add error dialogs in red color.
          (c4763f92)
        * hooks/install.DEFAULT.sh: Display error messages in red dialogs.
          (80f19c43)
        * hooks/install.DEFAULT.sh: Greatly improve root pw and hostname
          dialogs, add TEST_MODE support. (6885955a)
        * hooks/install.DEFAULT.sh: No such class called 'ROAMING'.
          (3c673126)
        * hooks/install.GATEWAY.sh: Run script with set -e. (7719f989)
        * hooks/install.GATEWAY.sh: Use single quotes for netmask regexp.
          (6193d329)
        * hooks/install.GATEWAY.sh: Improve regexp for detecting correct IPv4
          syntax. (9ceb4b5c)
        * hooks/install.GATEWAY.sh: Typo fix in dialog text. (27267e77)
        * hooks/install.GATEWAY.sh: Add TEST_MODE feature. (4332c3aa)

2022-03-23 Mike Gabriel

        * debian/copyright: Properly document copyright attributions.
          (6405f6ce)
        * debian/copyright.in: Add auto-generated copyright.in file for
          tracking copyright changes. (f8a2c89d)
        * Update/add copyright headers (and re-arrange some code comments at
          beginnings of files). (a5368d2e)

2022-03-18 Mike Gabriel

        * fai/config/hooks/defvar.DEFAULT.sh: Grammar fix in comment.
          (be9b1885)
        * fai/config/hooks/install.GATEWAY.sh: Read NIC model from udevadm
          info and display it in menu.. (459dcc18)
        * fai/config/hooks/install.GATEWAY.sh: Addjust --ok-label for network
          interface selection menu. (0777a21e)
        * fai/config/hooks/install.GATEWAY.sh: Try to setup the uplink
          network interface after manual configuration, so it can be
          used during installation. (84fa3c0f)
        * fai/config/hooks/install.GATEWAY.sh: Rephrase some dialog messages.
          (77960c7d)
        * fai/config/hooks/install.GATEWAY.sh: Silence output of successful
          grep operations. (2ae11824)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg:
          Silence kernel messages during boot process. (02bd7cfa)
        * fai/config/FAI-configspace_obsolete-files.txt: Update list of
          removed config space files. (5ed902ce)
        * fai/config: Add dialogs for setting up the uplink NIC manually, if
          no DHCP server is present. (e06feed8)
        * fai/config/package_config/WEBFILTER: Add package config for
          WEBFILTER class. (dfc9012b)
        * fai/config/scripts/LAST/50-misc: Don't use fai-project.org's
          package archive. (b4255e6e)
        * fai/config/scripts/LAST/50-misc: Adjust for cfEngine3. (b1496e3d)
        * fai/config/scripts/PROXY/20-squid-wpad: Adjust for
          debian-edu-router project. (f57c9913)
        * fai/config/scripts/LAST/50-misc: Add bookworm to the list of known
          distributions. (e826a8ab)
        * fai/config/scripts/PROXY/30-dansguardian: Drop file. Obsolete
          (inherited from DebianLAN). (c3ce564c)

2022-03-12 Mike Gabriel

        * fai/config/disk_config/LVM_EDU_ROUTER: Increase rootfs partition
          size and /tmp partition size. (e86c4f33)
        * fai/config/disk_config/LVM_EDU_ROUTER: Fix wrong LVM name for /tmp
          mount point. (10ee3ec9)

2022-03-11 Mike Gabriel

        * bin/debian-edu-router_install: Use
          debian-edu-router-fai_updateconfigspace. (d249302a)
        * bin/debian-edu-router-fai_mkconfigspacetarball: '.' in configspace
          tarball file names does not work, replace by '_'.
          (72cb88c2)
        * bin/debian-edu-router-fai_mkconfigspacetarball: Always set
          FAI_CONFIGDIR_REAL. (80113bdb)
        * bin/debian-edu-router-fai_mkconfigspacetarball:  Use
          debian-edu-router-fai_updateconfigspace. (30084f5c)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/fai.conf.in: Fix
          http URL for FAI_CONFIG_SRC. (e5c4a3e4)
        * bin/debian-edu-router_install: Use
          debian-edu-router-fai_updateconfigspace. (e55368e5)
        * bin/debian-edu-router-fai_install: Echo headlines to show where we
          are in the script. (4b117975)
        * fai/config/hooks/: Move etckeeper/git default branch init from
          instsoft.DEBIAN.sh to instsoft.GATEWAY.sh. (e4ac60e5)
        * fai/config/package_config/GATEWAY: Explicitly add 'git' so it
          triggers the instsoft.DEBIAN.sh pre-install/configure
          hook. (ef3441f4)
        * fai/config/hooks: White-space script reformatting. (93b0d376)
        * fai/config/hooks/instsoft.DEBIAN.sh: Install 'git' early and
          globally set init.defaultBranch to 'main' if 'etckeeper'
          and 'git' are in the list of to-be-installed packages.
          (f238d2f3)
        * fai/config/: Derive OS version from nfsroot version and set
          $release variable accordingly. (ac8b8b5f)
        * fai/config/package_config/GATEWAY: Add debian-edu-router-config.
          (07f84524)
        * fai/config/files/etc/apt/sources.list/GATEWAY: Use FAI placeholder
          {%release%} in APT sources.list file. (0c521fc3)
        * fai/config: Enable DEVELOPMENT class for now, pull-in d-e-r-config
          package from ITZkS APT archive until the first upload of
          debian-edu-router to Debian has happened. (199dceaa)
        * debian/debian-edu-router-fai.prerm: Clean-up
          /var/lib/debian-edu-router-fai/ucf/ when uninstalling this
          package. (c91e6b09)
        * bin/debian-edu-router-fai_install: search+replace @arch@ and
          @codename@ in FAI configspace files, too. (bc099041)
        * bin/debian-edu-router-fai_install: Manage config space with ucf.
          (eaf4c8dc)
        * debian/control: Add D (debian-edu-router-fai): ucf. (646c248c)
        * bin/debian-edu-router-fai_mkcd: Adjust mode detection to script
          name change. (05283439)
        * fai/config/scripts/: Drop FIREWALL scripts for now. (40744f4a)
        * fai/config/package_config/GATEWAY: Add linuxlogo. (9d1c073e)
        * fai/config/package_config/GATEWAY: Sort package list. (5d4c4ac8)

2022-03-10 Mike Gabriel

        * bin/debian-edu-router-fai_install: white-space amendments
          (6e3cebee)
        * bin/debian-edu-router-fai_install: Tweak $deployment_server
          variable in config files and config space. (d5faf07b)
        * fai/config/files/etc/fai/fai.conf/GATEWAY.in: Provide fai.conf
          template in FAI config space (containing https:// URL to
          config space tarball on deployserver). (a03e5b98)
        * conf/: Move deployment_url from d-e-r-fai.conf to
          d-e-r-fai.TEMPLATE/fai.conf.in. (6f3a0550)
        * bin/debian-edu-router-fai_mkconfigspacetarball: Provide script to
          create a tarball of the FAI config space. Ship with
          bin:pkg debian-edu-router-deployserver. (951c01db)
        * debian/debian-edu-router-deployserver.dirs: Provide
          /var/lib/debian-edu-fai/config. (a532f712)
        * conf/debian-edu/debian-edu-router-fai.conf: Add new variables
          $deployment_server and $deployment_url. (7c7ddd4f)
        * debian-edu-router-deployserver: Adjust Apache2 config, don't
          reference/use /srv/fai/config. (8d6c8b13)
        * bin/debian-edu-router-fai_softupdate: Add new (and simple) script
          and install into bin:pkg debian-edu-router-config.
          (b2826fd0)
        * debian/debian-edu-router-fai.install: Add _mkcd and _mkimage
          scripts. (254b39d6)
        * bin/: Rename scripts. (cd71e7ba)
        * debian/debian-edu-router-fai.dirs: Assure existence of
          /var/lib/debian-edu-router-fai/. (11725df0)
        * debian/: Add bin:pkg debian-edu-router-deployserver, shipping an
          apache2 config snippet (and possibly more stuff later).
          (d263a6f5)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Add
          'whois' as required pkg, needed for 'mkpasswd' utility.
          (31ef2238)
        * fai/config/package_config/GATEWAY: Make mc and vim available by
          default on Debian Edu Router installations. (303d2591)
        * fai/config/scripts/DEBIAN/10-rootpw: White-space fix. (11346f4e)
        * fai/config/hooks/install.DEFAULT.sh: Fix typo in dialog message.
          (f1d0683d)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Update
          to a newer version, add EFI support for booting from local
          storage. (a3cb777f)

2022-03-04 Mike Gabriel

        * debian-edu-router-fai.TEMPLATE/NFSROOT: Adjust to a more recent
          version. (14608dc3)
        * debian/control: Drop '.' line at end of LONG_DESCRIPTION.
          (a06a017f)
        * bin/debian-edu-router-faicd: Don't pollute the /srv/fai namespace
          with our generated images. Use
          /var/lib/debian-edu-router-fai instead. (94650686)
        * debian-edu-router-fai.TEMPLATE/grub.cfg: Drop duplicate linux
          command line. (1e60468f)
        * README.md: Add note about directory locations where new ISO or
          SquashFS images will get created. (9cfb76cf)
        * bin/debian-edu-router-faicd: Fix moving <img-file> to
          <img-file>.old. (6d704dba)
        * bin/debian-edu-router-faicd: Add -f (force) option to fai-cd
          command. Otherwise, images won't be overwritten if they
          already exist. (dbfed24c)
        * bin/debian-edu-router-fai{cd,image}: Add script(s) to create
          distro-specific and arch-specific installer images.
          (376cff47)
        * debian-edu-router-fai.TEMPLATE: Add FAI project's GPG key to APT
          keyring. (b8aa8960)
        * bin/debian-edu-router-faiinstall: Drop $theme variable, not needed
          for now. (25b7ec7a)

2022-03-03 Mike Gabriel

        * ebian/debian-edu-router-fai.install: Install debian-edu-faiinstall
          script and FAI template dir into bin:pkg
          debian-edu-router-fai. (8f04d653)
        * README.md: Adapt README.md for new debian-edu-router-faiinstall
          script (and similar scripts still yet to write: faicd,
          faiimage, faisoftupdate). (60fb8467)
        * conf/(fai/)debian-edu-router-fai.conf: Move one dirlevel deeper.
          (f516c9a7)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Fix @mirrorurl@ usage. (1459455f)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE: Turn static
          files into templates files. (1d856b64)
        * Provide provisioning script and configs. (68774591)
        * Don't symlink files for /etc/fai into config space. Drop them in
          config space, ship them as conffiles. (8e031527)
        * debian/debian-edu-router-fai.docs: Install README.md into docs
          folder of d-e-r-fai. (09ac809a)

2022-02-25 Mike Gabriel

        * lintian: Adjust repeated-path-segment lintian overrides. (421228c8)
        * README.md: Remove some comments from code blocks. (15e48788)
        * debian/control: Fix duplicate Description: field. (b28bdb24)
        * debian-edu-router-fai.lintian-overrides: Rename and adjust for
          recent bin:pkg naming changes. (75fddc18)
        * README.md: Update documentation, drop various manual steps, start
          with documenting a http-based deployment scenario.
          (ed3de7da)
        * debian/control: Add Ds (debian-edu-router-fai): binutils, dialog,
          squashfs-tools, xorriso. (5d85a60c)
        * debian/debian-edu-router-fai.install: Install FAI config to /etc/.
          (07afa2e1)
        * conf/: Add debian-edu-router-fai configuration (for creating
          nfsroot tarballs). (cccbec48)
        * debian/: Split up debian-edu-router bin:package into d-e-r-config
          and d-e-r-fai. (177e3733)

2022-02-24 Mike Gabriel

        * {README.md,fai/config/files/etc/fai/}: Sync class and filenames
          with README.md. (3d87893d)
        * fai/config/hooks/instsoft.DEBIAN(.sh): Append .sh to script.
          (c4be06da)
        * fai/config: Adjust config space for Debian Edu Router use cas.
          drop remnants from Debian LAN. (5209d420)
        * fai/config/files/etc/motd/: Rename GATEWAY_A to GATEWAY, adjust to
          Debian Edu Router project. (850ee290)
        * fai/config/files/etc/apt/sources.list/: Rename GATEWAY_A to
          GATEWAY. (6232d24c)
        * README.md: Fix path. (6b664c73)
        * README.md: Indentation fix of code blocks. (15a2808a)

2022-02-23 Mike Gabriel

        * debian/: Initial packaging draft for debian-edu-router. (2d44b65b)
        * README.md: Add file. (Inspired by Debian-LAN's README.md).
          (750e1415)
        * fai/config/: Add FAI initial config space for Debian Edu Router.
          (bec187ca)
